/* test-number.c generated by valac 0.26.0.50-d9a75, the Vala compiler
 * generated from test-number.vala, do not modify */

/*
 * Copyright (C) 2008-2012 Robert Ancell.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 2 of the License, or (at your option) any later
 * version. See http://www.gnu.org/copyleft/gpl.html the full text of the
 * license.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <float.h>
#include <math.h>
#include <locale.h>


#define TYPE_NUMBER (number_get_type ())
#define NUMBER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_NUMBER, Number))
#define NUMBER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_NUMBER, NumberClass))
#define IS_NUMBER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_NUMBER))
#define IS_NUMBER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_NUMBER))
#define NUMBER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_NUMBER, NumberClass))

typedef struct _Number Number;
typedef struct _NumberClass NumberClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_ANGLE_UNIT (angle_unit_get_type ())
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))

typedef enum  {
	ANGLE_UNIT_RADIANS,
	ANGLE_UNIT_DEGREES,
	ANGLE_UNIT_GRADIANS
} AngleUnit;


extern gint fail_count;
gint fail_count = 0;
extern gint pass_count;
gint pass_count = 0;

void pass (const gchar* text);
void fail (const gchar* text);
void test_integer (void);
GType number_get_type (void) G_GNUC_CONST;
Number* number_new_integer (gint64 value);
Number* number_construct_integer (GType object_type, gint64 value);
gint64 number_to_integer (Number* self);
void test_unsigned_integer (void);
Number* number_new_unsigned_integer (guint64 x);
Number* number_construct_unsigned_integer (GType object_type, guint64 x);
guint64 number_to_unsigned_integer (Number* self);
void test_fraction (void);
Number* number_new_fraction (gint64 numerator, gint64 denominator);
Number* number_construct_fraction (GType object_type, gint64 numerator, gint64 denominator);
gboolean double_matches (Number* a, gdouble b);
gdouble number_to_double (Number* self);
void test_float (void);
Number* number_new_float (gfloat value);
Number* number_construct_float (GType object_type, gfloat value);
gfloat number_to_float (Number* self);
void test_double (void);
Number* number_new_double (gdouble value);
Number* number_construct_double (GType object_type, gdouble value);
void test_complex (void);
Number* number_new_complex (Number* x, Number* y);
Number* number_construct_complex (GType object_type, Number* x, Number* y);
Number* number_real_component (Number* self);
Number* number_imaginary_component (Number* self);
void test_polar (void);
GType angle_unit_get_type (void) G_GNUC_CONST;
Number* number_new_polar (Number* r, Number* theta, AngleUnit unit);
Number* number_construct_polar (GType object_type, Number* r, Number* theta, AngleUnit unit);
void test_i (void);
Number* number_new_i (void);
Number* number_construct_i (GType object_type);
void test_pi (void);
Number* number_new_pi (void);
Number* number_construct_pi (GType object_type);
void test_eulers (void);
Number* number_new_eulers (void);
Number* number_construct_eulers (GType object_type);
void test_string (void);
Number* mp_set_from_string (const gchar* str, gint default_base);
void test_sgn (void);
Number* number_sgn (Number* self);
void test_invert_sign (void);
Number* number_invert_sign (Number* self);
void test_abs (void);
Number* number_abs (Number* self);
void test_arg (void);
Number* number_arg (Number* self, AngleUnit unit);
gboolean number_is_zero (Number* self);
void test_conjugate (void);
Number* number_conjugate (Number* self);
void test_real_component (void);
void test_imaginary_component (void);
gchar* double_string (gdouble x);
void test_integer_component (void);
Number* number_integer_component (Number* self);
void test_fractional_component (void);
Number* number_fractional_component (Number* self);
void test_fractional_part (void);
Number* number_fractional_part (Number* self);
void test_floor (void);
Number* number_floor (Number* self);
void test_ceiling (void);
Number* number_ceiling (Number* self);
void test_round (void);
Number* number_round (Number* self);
void test_reciprocal (void);
Number* number_reciprocal (Number* self);
void test_epowy (void);
Number* number_epowy (Number* self);
void test_xpowy (void);
Number* number_xpowy (Number* self, Number* y);
void test_xpowy_integer (void);
Number* number_xpowy_integer (Number* self, gint64 n);
void test_root3 (void);
Number* number_root (Number* self, gint64 n);
void test_sqrt (void);
Number* number_sqrt (Number* self);
void test_ln (void);
Number* number_ln (Number* self);
void test_logarithm2 (void);
Number* number_logarithm (Number* self, gint64 n);
void test_logarithm10 (void);
void test_is_zero (void);
void test_is_negative (void);
gboolean number_is_negative (Number* self);
void test_is_integer (void);
gboolean number_is_integer (Number* self);
void test_is_positive_integer (void);
gboolean number_is_positive_integer (Number* self);
void test_is_natural (void);
gboolean number_is_natural (Number* self);
void test_is_complex (void);
gboolean number_is_complex (Number* self);
void test_factorial (void);
Number* number_factorial (Number* self);
void test_add (void);
Number* number_add (Number* self, Number* y);
void test_subtract (void);
Number* number_subtract (Number* self, Number* y);
void test_multiply (void);
Number* number_multiply (Number* self, Number* y);
void test_multiply_integer (void);
Number* number_multiply_integer (Number* self, gint64 y);
void test_divide (void);
Number* number_divide (Number* self, Number* y);
void test_divide_integer (void);
Number* number_divide_integer (Number* self, gint64 y);
void test_modulus_divide (void);
Number* number_modulus_divide (Number* self, Number* y);
void test_sin (void);
Number* number_sin (Number* self, AngleUnit unit);
void test_cos (void);
Number* number_cos (Number* self, AngleUnit unit);
void test_and (void);
Number* number_and (Number* self, Number* y);
void test_or (void);
Number* number_or (Number* self, Number* y);
void test_xor (void);
Number* number_xor (Number* self, Number* y);
void test_not (void);
Number* number_not (Number* self, gint wordlen);
void test_shift (void);
Number* number_shift (Number* self, gint count);
void test_factorize (void);
GList* number_factorize (Number* self);
GList* factorize (gint number);
static void _g_object_unref0_ (gpointer var);
static void _g_list_free__g_object_unref0_ (GList* self);
gint _vala_main (gchar** args, int args_length1);


void pass (const gchar* text) {
	gint _tmp0_ = 0;
#line 17 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = pass_count;
#line 17 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass_count = _tmp0_ + 1;
#line 194 "test-number.c"
}


void fail (const gchar* text) {
	FILE* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gint _tmp2_ = 0;
#line 20 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	g_return_if_fail (text != NULL);
#line 22 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = stdout;
#line 22 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp1_ = text;
#line 22 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	fprintf (_tmp0_, "*FAIL: %s\n", _tmp1_);
#line 23 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp2_ = fail_count;
#line 23 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	fail_count = _tmp2_ + 1;
#line 214 "test-number.c"
}


void test_integer (void) {
	{
		gint a = 0;
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 223 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 230 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				gint64 _tmp6_ = 0LL;
				gint _tmp7_ = 0;
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 240 "test-number.c"
					gint _tmp1_ = 0;
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 246 "test-number.c"
				}
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 256 "test-number.c"
				}
#line 30 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 30 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 30 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 31 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = z;
#line 31 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_to_integer (_tmp5_);
#line 31 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = a;
#line 31 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp6_ != ((gint64) _tmp7_)) {
#line 272 "test-number.c"
					gint _tmp8_ = 0;
					Number* _tmp9_ = NULL;
					gint64 _tmp10_ = 0LL;
					gint _tmp11_ = 0;
					gchar* _tmp12_ = NULL;
					gchar* _tmp13_ = NULL;
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp8_ = a;
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp9_ = z;
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = number_to_integer (_tmp9_);
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp11_ = a;
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp12_ = g_strdup_printf ("Number.integer (%d).to_integer () -> %lli, expected %i", _tmp8_, _tmp10_, _tmp11_);
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = _tmp12_;
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp13_);
#line 33 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp13_);
#line 34 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 34 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 299 "test-number.c"
				}
#line 28 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 303 "test-number.c"
			}
		}
	}
#line 38 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 309 "test-number.c"
}


void test_unsigned_integer (void) {
	{
		gint a = 0;
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 318 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 325 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				guint64 _tmp6_ = 0ULL;
				gint _tmp7_ = 0;
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 335 "test-number.c"
					gint _tmp1_ = 0;
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 341 "test-number.c"
				}
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 351 "test-number.c"
				}
#line 45 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 45 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_unsigned_integer ((guint64) _tmp3_);
#line 45 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 46 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = z;
#line 46 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_to_unsigned_integer (_tmp5_);
#line 46 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = a;
#line 46 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp6_ != ((guint64) _tmp7_)) {
#line 367 "test-number.c"
					gint _tmp8_ = 0;
					Number* _tmp9_ = NULL;
					guint64 _tmp10_ = 0ULL;
					gint _tmp11_ = 0;
					gchar* _tmp12_ = NULL;
					gchar* _tmp13_ = NULL;
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp8_ = a;
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp9_ = z;
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = number_to_unsigned_integer (_tmp9_);
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp11_ = a;
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp12_ = g_strdup_printf ("Number.unsigned_integer (%d).to_unsigned_integer () -> %i, expected %i", _tmp8_, (gint) _tmp10_, _tmp11_);
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = _tmp12_;
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp13_);
#line 48 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp13_);
#line 49 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 49 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 394 "test-number.c"
				}
#line 43 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 398 "test-number.c"
			}
		}
	}
#line 53 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 404 "test-number.c"
}


void test_fraction (void) {
	{
		gint a = 0;
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 413 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 420 "test-number.c"
				gint _tmp2_ = 0;
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 424 "test-number.c"
					gint _tmp1_ = 0;
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 430 "test-number.c"
				}
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 58 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 440 "test-number.c"
				}
				{
					gint b = 0;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = 1;
#line 446 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 453 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							gint _tmp7_ = 0;
							Number* _tmp8_ = NULL;
							gdouble expected = 0.0;
							gint _tmp9_ = 0;
							gint _tmp10_ = 0;
							Number* _tmp11_ = NULL;
							gdouble _tmp12_ = 0.0;
							gboolean _tmp13_ = FALSE;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 467 "test-number.c"
								gint _tmp4_ = 0;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 473 "test-number.c"
							}
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 483 "test-number.c"
							}
#line 62 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 62 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = b;
#line 62 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = number_new_fraction ((gint64) _tmp6_, (gint64) _tmp7_);
#line 62 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp8_;
#line 63 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = a;
#line 63 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = b;
#line 63 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = ((gdouble) _tmp9_) / _tmp10_;
#line 64 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = z;
#line 64 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = expected;
#line 64 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = double_matches (_tmp11_, _tmp12_);
#line 64 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp13_) {
#line 507 "test-number.c"
								gint _tmp14_ = 0;
								gint _tmp15_ = 0;
								Number* _tmp16_ = NULL;
								gdouble _tmp17_ = 0.0;
								gdouble _tmp18_ = 0.0;
								gchar* _tmp19_ = NULL;
								gchar* _tmp20_ = NULL;
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp14_ = a;
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp15_ = b;
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp16_ = z;
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp17_ = number_to_double (_tmp16_);
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp18_ = expected;
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = g_strdup_printf ("Number.fraction (%d, %d) -> %f, expected %f", _tmp14_, _tmp15_, _tmp17_, _tmp18_);
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = _tmp19_;
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp20_);
#line 66 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp20_);
#line 67 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 67 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 537 "test-number.c"
							}
#line 60 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 541 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 72 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 550 "test-number.c"
}


void test_float (void) {
	{
		gfloat a = 0.0F;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10.0f;
#line 559 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 566 "test-number.c"
				gfloat _tmp2_ = 0.0F;
				Number* z = NULL;
				gfloat _tmp3_ = 0.0F;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				gfloat _tmp6_ = 0.0F;
				gfloat _tmp7_ = 0.0F;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 576 "test-number.c"
					gfloat _tmp1_ = 0.0F;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 0.5f;
#line 582 "test-number.c"
				}
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10.0f)) {
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 592 "test-number.c"
				}
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_float (_tmp3_);
#line 79 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 80 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = z;
#line 80 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_to_float (_tmp5_);
#line 80 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = a;
#line 80 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp6_ != _tmp7_) {
#line 608 "test-number.c"
					gfloat _tmp8_ = 0.0F;
					Number* _tmp9_ = NULL;
					gfloat _tmp10_ = 0.0F;
					gfloat _tmp11_ = 0.0F;
					gchar* _tmp12_ = NULL;
					gchar* _tmp13_ = NULL;
#line 82 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp8_ = a;
#line 82 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp9_ = z;
#line 82 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = number_to_float (_tmp9_);
#line 82 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp11_ = a;
#line 82 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp12_ = g_strdup_printf ("Number.float (%f).to_float () -> %f, expected %f", (gdouble) _tmp8_, (gdouble) _tmp10_, (gdouble) _tmp11_);
#line 82 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = _tmp12_;
#line 82 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp13_);
#line 82 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp13_);
#line 83 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 83 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 635 "test-number.c"
				}
#line 77 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 639 "test-number.c"
			}
		}
	}
#line 87 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 645 "test-number.c"
}


void test_double (void) {
	{
		gdouble a = 0.0;
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10.0;
#line 654 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 661 "test-number.c"
				gdouble _tmp2_ = 0.0;
				Number* z = NULL;
				gdouble _tmp3_ = 0.0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				gdouble _tmp6_ = 0.0;
				gdouble _tmp7_ = 0.0;
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 671 "test-number.c"
					gdouble _tmp1_ = 0.0;
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 0.5;
#line 677 "test-number.c"
				}
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10.0)) {
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 687 "test-number.c"
				}
#line 94 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 94 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_double (_tmp3_);
#line 94 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 95 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = z;
#line 95 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_to_double (_tmp5_);
#line 95 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = a;
#line 95 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp6_ != _tmp7_) {
#line 703 "test-number.c"
					gdouble _tmp8_ = 0.0;
					Number* _tmp9_ = NULL;
					gdouble _tmp10_ = 0.0;
					gdouble _tmp11_ = 0.0;
					gchar* _tmp12_ = NULL;
					gchar* _tmp13_ = NULL;
#line 97 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp8_ = a;
#line 97 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp9_ = z;
#line 97 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = number_to_double (_tmp9_);
#line 97 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp11_ = a;
#line 97 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp12_ = g_strdup_printf ("Number.double (%f).to_double () -> %f, expected %f", _tmp8_, _tmp10_, _tmp11_);
#line 97 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = _tmp12_;
#line 97 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp13_);
#line 97 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp13_);
#line 98 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 98 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 730 "test-number.c"
				}
#line 92 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 734 "test-number.c"
			}
		}
	}
#line 102 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 740 "test-number.c"
}


void test_complex (void) {
	{
		gint a = 0;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 749 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 756 "test-number.c"
				gint _tmp2_ = 0;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 760 "test-number.c"
					gint _tmp1_ = 0;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 766 "test-number.c"
				}
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 776 "test-number.c"
				}
				{
					gint b = 0;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 782 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 789 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint re_expected = 0;
							gint _tmp14_ = 0;
							gint im_expected = 0;
							gint _tmp15_ = 0;
							gboolean _tmp16_ = FALSE;
							Number* _tmp17_ = NULL;
							Number* _tmp18_ = NULL;
							Number* _tmp19_ = NULL;
							gint64 _tmp20_ = 0LL;
							gint _tmp21_ = 0;
							gboolean _tmp22_ = FALSE;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 813 "test-number.c"
								gint _tmp4_ = 0;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 819 "test-number.c"
							}
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 829 "test-number.c"
							}
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_new_complex (_tmp8_, _tmp11_);
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 112 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 112 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							re_expected = _tmp14_;
#line 113 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = b;
#line 113 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							im_expected = _tmp15_;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = z;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = number_real_component (_tmp17_);
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp19_ = _tmp18_;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp20_ = number_to_integer (_tmp19_);
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp21_ = re_expected;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp22_ = _tmp20_ != ((gint64) _tmp21_);
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp19_);
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp22_) {
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp16_ = TRUE;
#line 879 "test-number.c"
							} else {
								Number* _tmp23_ = NULL;
								Number* _tmp24_ = NULL;
								Number* _tmp25_ = NULL;
								gint64 _tmp26_ = 0LL;
								gint _tmp27_ = 0;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = z;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = number_imaginary_component (_tmp23_);
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp26_ = number_to_integer (_tmp25_);
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp27_ = im_expected;
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp16_ = _tmp26_ != ((gint64) _tmp27_);
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp25_);
#line 900 "test-number.c"
							}
#line 114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp16_) {
#line 904 "test-number.c"
								gint _tmp28_ = 0;
								gint _tmp29_ = 0;
								Number* _tmp30_ = NULL;
								Number* _tmp31_ = NULL;
								Number* _tmp32_ = NULL;
								gint64 _tmp33_ = 0LL;
								Number* _tmp34_ = NULL;
								Number* _tmp35_ = NULL;
								Number* _tmp36_ = NULL;
								gint64 _tmp37_ = 0LL;
								gint _tmp38_ = 0;
								gint _tmp39_ = 0;
								gchar* _tmp40_ = NULL;
								gchar* _tmp41_ = NULL;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp28_ = a;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp29_ = b;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp30_ = z;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp31_ = number_real_component (_tmp30_);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp32_ = _tmp31_;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp33_ = number_to_integer (_tmp32_);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp34_ = z;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp35_ = number_imaginary_component (_tmp34_);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp36_ = _tmp35_;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp37_ = number_to_integer (_tmp36_);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp38_ = re_expected;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp39_ = im_expected;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp40_ = g_strdup_printf ("Number.complex (%d%+di) -> %d%+di, expected %d%+di", _tmp28_, _tmp29_, (gint) _tmp33_, (gint) _tmp37_, _tmp38_, _tmp39_);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp41_ = _tmp40_;
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp41_);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp41_);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp36_);
#line 116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp32_);
#line 117 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 117 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 959 "test-number.c"
							}
#line 109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 963 "test-number.c"
						}
					}
				}
			}
		}
	}
}


void test_polar (void) {
	{
		gint ri = 0;
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		ri = -10;
#line 978 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 985 "test-number.c"
				gint _tmp2_ = 0;
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 989 "test-number.c"
					gint _tmp1_ = 0;
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = ri;
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					ri = _tmp1_ + 1;
#line 995 "test-number.c"
				}
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = ri;
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 1005 "test-number.c"
				}
				{
					gint theta_i = 0;
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					theta_i = -10;
#line 1011 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 1018 "test-number.c"
							gint _tmp5_ = 0;
							gdouble r = 0.0;
							gint _tmp6_ = 0;
							gdouble theta = 0.0;
							gint _tmp7_ = 0;
							Number* z = NULL;
							gdouble _tmp8_ = 0.0;
							Number* _tmp9_ = NULL;
							Number* _tmp10_ = NULL;
							gdouble _tmp11_ = 0.0;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							Number* _tmp14_ = NULL;
							Number* _tmp15_ = NULL;
							gdouble re_expected = 0.0;
							gdouble _tmp16_ = 0.0;
							gdouble _tmp17_ = 0.0;
							gdouble _tmp18_ = 0.0;
							gdouble im_expected = 0.0;
							gdouble _tmp19_ = 0.0;
							gdouble _tmp20_ = 0.0;
							gdouble _tmp21_ = 0.0;
							gboolean _tmp22_ = FALSE;
							Number* _tmp23_ = NULL;
							Number* _tmp24_ = NULL;
							Number* _tmp25_ = NULL;
							gdouble _tmp26_ = 0.0;
							gboolean _tmp27_ = FALSE;
							gboolean _tmp28_ = FALSE;
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 1050 "test-number.c"
								gint _tmp4_ = 0;
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = theta_i;
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								theta_i = _tmp4_ + 1;
#line 1056 "test-number.c"
							}
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = theta_i;
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 1066 "test-number.c"
							}
#line 129 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = ri;
#line 129 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							r = (gdouble) _tmp6_;
#line 130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = theta_i;
#line 130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							theta = ((2 * G_PI) * _tmp7_) / 10.0;
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = r;
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = number_new_double (_tmp8_);
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = _tmp9_;
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = theta;
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_new_double (_tmp11_);
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = number_new_polar (_tmp10_, _tmp13_, ANGLE_UNIT_RADIANS);
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = _tmp14_;
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp13_);
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp10_);
#line 131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp15_;
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = r;
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = theta;
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = cos (_tmp17_);
#line 132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							re_expected = _tmp16_ * _tmp18_;
#line 133 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp19_ = r;
#line 133 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp20_ = theta;
#line 133 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp21_ = sin (_tmp20_);
#line 133 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							im_expected = _tmp19_ * _tmp21_;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp23_ = z;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp24_ = number_real_component (_tmp23_);
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp25_ = _tmp24_;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp26_ = re_expected;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp27_ = double_matches (_tmp25_, _tmp26_);
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp28_ = !_tmp27_;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp25_);
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp28_) {
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = TRUE;
#line 1132 "test-number.c"
							} else {
								Number* _tmp29_ = NULL;
								Number* _tmp30_ = NULL;
								Number* _tmp31_ = NULL;
								gdouble _tmp32_ = 0.0;
								gboolean _tmp33_ = FALSE;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp29_ = z;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp30_ = number_imaginary_component (_tmp29_);
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp31_ = _tmp30_;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp32_ = im_expected;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp33_ = double_matches (_tmp31_, _tmp32_);
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = !_tmp33_;
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp31_);
#line 1153 "test-number.c"
							}
#line 134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp22_) {
#line 1157 "test-number.c"
								gdouble _tmp34_ = 0.0;
								gdouble _tmp35_ = 0.0;
								Number* _tmp36_ = NULL;
								Number* _tmp37_ = NULL;
								Number* _tmp38_ = NULL;
								gdouble _tmp39_ = 0.0;
								Number* _tmp40_ = NULL;
								Number* _tmp41_ = NULL;
								Number* _tmp42_ = NULL;
								gdouble _tmp43_ = 0.0;
								gdouble _tmp44_ = 0.0;
								gdouble _tmp45_ = 0.0;
								gchar* _tmp46_ = NULL;
								gchar* _tmp47_ = NULL;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp34_ = r;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp35_ = theta;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp36_ = z;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp37_ = number_real_component (_tmp36_);
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp38_ = _tmp37_;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp39_ = number_to_double (_tmp38_);
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp40_ = z;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp41_ = number_imaginary_component (_tmp40_);
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp42_ = _tmp41_;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp43_ = number_to_double (_tmp42_);
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp44_ = re_expected;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp45_ = im_expected;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp46_ = g_strdup_printf ("Number.polar (%f, %f) -> %f%+fi, expected %f%+fi", _tmp34_, _tmp35_, _tmp39_, _tmp43_, _tmp44_, _tmp45_);
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp47_ = _tmp46_;
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp47_);
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp47_);
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp42_);
#line 136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp38_);
#line 137 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 137 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 1212 "test-number.c"
							}
#line 127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 1216 "test-number.c"
						}
					}
				}
			}
		}
	}
}


void test_i (void) {
	Number* z = NULL;
	Number* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	Number* _tmp2_ = NULL;
	Number* _tmp3_ = NULL;
	Number* _tmp4_ = NULL;
	gint64 _tmp5_ = 0LL;
	gboolean _tmp6_ = FALSE;
#line 145 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = number_new_i ();
#line 145 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	z = _tmp0_;
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp2_ = z;
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp3_ = number_real_component (_tmp2_);
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp4_ = _tmp3_;
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp5_ = number_to_integer (_tmp4_);
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp6_ = _tmp5_ != ((gint64) 0);
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_g_object_unref0 (_tmp4_);
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	if (_tmp6_) {
#line 1253 "test-number.c"
		Number* _tmp7_ = NULL;
		Number* _tmp8_ = NULL;
		Number* _tmp9_ = NULL;
		gint64 _tmp10_ = 0LL;
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp7_ = z;
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp8_ = number_imaginary_component (_tmp7_);
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp9_ = _tmp8_;
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp10_ = number_to_integer (_tmp9_);
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp1_ = _tmp10_ != ((gint64) 1);
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_object_unref0 (_tmp9_);
#line 1270 "test-number.c"
	} else {
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp1_ = FALSE;
#line 1274 "test-number.c"
	}
#line 146 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	if (_tmp1_) {
#line 1278 "test-number.c"
		Number* _tmp11_ = NULL;
		Number* _tmp12_ = NULL;
		Number* _tmp13_ = NULL;
		gint64 _tmp14_ = 0LL;
		Number* _tmp15_ = NULL;
		Number* _tmp16_ = NULL;
		Number* _tmp17_ = NULL;
		gint64 _tmp18_ = 0LL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp11_ = z;
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp12_ = number_real_component (_tmp11_);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp13_ = _tmp12_;
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp14_ = number_to_integer (_tmp13_);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp15_ = z;
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp16_ = number_imaginary_component (_tmp15_);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp17_ = _tmp16_;
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp18_ = number_to_integer (_tmp17_);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp19_ = g_strdup_printf ("Number.i () -> %d%+di, expected i", (gint) _tmp14_, (gint) _tmp18_);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp20_ = _tmp19_;
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		fail (_tmp20_);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_free0 (_tmp20_);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_object_unref0 (_tmp17_);
#line 148 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_object_unref0 (_tmp13_);
#line 149 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_object_unref0 (z);
#line 149 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		return;
#line 1321 "test-number.c"
	}
#line 152 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 143 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_g_object_unref0 (z);
#line 1327 "test-number.c"
}


void test_pi (void) {
	Number* z = NULL;
	Number* _tmp0_ = NULL;
	gdouble expected = 0.0;
	Number* _tmp1_ = NULL;
	gdouble _tmp2_ = 0.0;
	gboolean _tmp3_ = FALSE;
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = number_new_pi ();
#line 157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	z = _tmp0_;
#line 158 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	expected = G_PI;
#line 159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp1_ = z;
#line 159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp2_ = expected;
#line 159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp3_ = double_matches (_tmp1_, _tmp2_);
#line 159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	if (!_tmp3_) {
#line 1352 "test-number.c"
		Number* _tmp4_ = NULL;
		gdouble _tmp5_ = 0.0;
		gdouble _tmp6_ = 0.0;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp4_ = z;
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp5_ = number_to_double (_tmp4_);
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp6_ = expected;
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp7_ = g_strdup_printf ("Number.pi () -> %f, expected %f", _tmp5_, _tmp6_);
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp8_ = _tmp7_;
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		fail (_tmp8_);
#line 161 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_free0 (_tmp8_);
#line 162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_object_unref0 (z);
#line 162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		return;
#line 1376 "test-number.c"
	}
#line 165 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 155 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_g_object_unref0 (z);
#line 1382 "test-number.c"
}


void test_eulers (void) {
	Number* z = NULL;
	Number* _tmp0_ = NULL;
	gdouble expected = 0.0;
	Number* _tmp1_ = NULL;
	gdouble _tmp2_ = 0.0;
	gboolean _tmp3_ = FALSE;
#line 170 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = number_new_eulers ();
#line 170 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	z = _tmp0_;
#line 171 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	expected = G_E;
#line 172 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp1_ = z;
#line 172 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp2_ = expected;
#line 172 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp3_ = double_matches (_tmp1_, _tmp2_);
#line 172 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	if (!_tmp3_) {
#line 1407 "test-number.c"
		Number* _tmp4_ = NULL;
		gdouble _tmp5_ = 0.0;
		gdouble _tmp6_ = 0.0;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 174 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp4_ = z;
#line 174 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp5_ = number_to_double (_tmp4_);
#line 174 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp6_ = expected;
#line 174 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp7_ = g_strdup_printf ("Number.eulers () -> %f, expected %f", _tmp5_, _tmp6_);
#line 174 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp8_ = _tmp7_;
#line 174 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		fail (_tmp8_);
#line 174 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_free0 (_tmp8_);
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_object_unref0 (z);
#line 175 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		return;
#line 1431 "test-number.c"
	}
#line 178 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 168 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_g_object_unref0 (z);
#line 1437 "test-number.c"
}


void test_string (void) {
	{
		gint a = 0;
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 1446 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 1453 "test-number.c"
				gint _tmp2_ = 0;
				gchar* s = NULL;
				gint _tmp3_ = 0;
				gchar* _tmp4_ = NULL;
				Number* z = NULL;
				const gchar* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp11_ = NULL;
				gint64 _tmp12_ = 0LL;
				gint _tmp13_ = 0;
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 1467 "test-number.c"
					gint _tmp1_ = 0;
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 1473 "test-number.c"
				}
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 1483 "test-number.c"
				}
#line 185 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 185 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = g_strdup_printf ("%d", _tmp3_);
#line 185 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				s = _tmp4_;
#line 186 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = s;
#line 186 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = mp_set_from_string (_tmp5_, 10);
#line 186 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp6_;
#line 187 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = z;
#line 187 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp7_ == NULL) {
#line 1501 "test-number.c"
					const gchar* _tmp8_ = NULL;
					gchar* _tmp9_ = NULL;
					gchar* _tmp10_ = NULL;
#line 189 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp8_ = s;
#line 189 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp9_ = g_strdup_printf ("mp_set_from_string (\"%s\") -> null", _tmp8_);
#line 189 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = _tmp9_;
#line 189 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp10_);
#line 189 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp10_);
#line 190 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 190 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (s);
#line 190 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 1521 "test-number.c"
				}
#line 193 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = z;
#line 193 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = number_to_integer (_tmp11_);
#line 193 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = a;
#line 193 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp12_ != ((gint64) _tmp13_)) {
#line 1531 "test-number.c"
					const gchar* _tmp14_ = NULL;
					Number* _tmp15_ = NULL;
					gint64 _tmp16_ = 0LL;
					gint _tmp17_ = 0;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = s;
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = z;
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = number_to_integer (_tmp15_);
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = a;
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = g_strdup_printf ("mp_set_from_string (\"%s\").to_integer () -> %d, expected %d", _tmp14_, (gint) _tmp16_, _tmp17_);
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = _tmp18_;
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp19_);
#line 195 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp19_);
#line 196 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 196 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (s);
#line 196 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 1560 "test-number.c"
				}
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 183 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_free0 (s);
#line 1566 "test-number.c"
			}
		}
	}
#line 200 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 1572 "test-number.c"
}


void test_sgn (void) {
	{
		gint a = 0;
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 1581 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 1588 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gint expected = 0;
				gint _tmp5_ = 0;
				gint _tmp6_ = 0;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				Number* _tmp9_ = NULL;
				gint64 _tmp10_ = 0LL;
				gint _tmp11_ = 0;
				gboolean _tmp12_ = FALSE;
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 1604 "test-number.c"
					gint _tmp1_ = 0;
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 1610 "test-number.c"
				}
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 1620 "test-number.c"
				}
#line 207 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 207 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 207 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 208 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = 0;
#line 209 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = a;
#line 209 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp5_ < 0) {
#line 210 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					expected = -1;
#line 1636 "test-number.c"
				}
#line 211 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = a;
#line 211 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp6_ > 0) {
#line 212 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					expected = 1;
#line 1644 "test-number.c"
				}
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = z;
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = number_sgn (_tmp7_);
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = _tmp8_;
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = number_to_integer (_tmp9_);
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = _tmp10_ != ((gint64) _tmp11_);
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp9_);
#line 213 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp12_) {
#line 1662 "test-number.c"
					gint _tmp13_ = 0;
					Number* _tmp14_ = NULL;
					Number* _tmp15_ = NULL;
					Number* _tmp16_ = NULL;
					gint64 _tmp17_ = 0LL;
					gint _tmp18_ = 0;
					gchar* _tmp19_ = NULL;
					gchar* _tmp20_ = NULL;
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_sgn (_tmp14_);
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = _tmp15_;
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = number_to_integer (_tmp16_);
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = expected;
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = g_strdup_printf ("(%d).sgn () -> %d, expected %d", _tmp13_, (gint) _tmp17_, _tmp18_);
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp20_ = _tmp19_;
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp20_);
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp20_);
#line 215 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (_tmp16_);
#line 216 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 216 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 1697 "test-number.c"
				}
#line 205 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 1701 "test-number.c"
			}
		}
	}
#line 220 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 1707 "test-number.c"
}


void test_invert_sign (void) {
	{
		gint a = 0;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 1716 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 1723 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gint expected = 0;
				gint _tmp5_ = 0;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gint64 _tmp9_ = 0LL;
				gint _tmp10_ = 0;
				gboolean _tmp11_ = FALSE;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 1738 "test-number.c"
					gint _tmp1_ = 0;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 1744 "test-number.c"
				}
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 1754 "test-number.c"
				}
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 227 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 228 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = a;
#line 228 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = -_tmp5_;
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = z;
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_invert_sign (_tmp6_);
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = number_to_integer (_tmp8_);
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = expected;
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = _tmp9_ != ((gint64) _tmp10_);
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp8_);
#line 229 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp11_) {
#line 1782 "test-number.c"
					gint _tmp12_ = 0;
					Number* _tmp13_ = NULL;
					Number* _tmp14_ = NULL;
					Number* _tmp15_ = NULL;
					gint64 _tmp16_ = 0LL;
					gint _tmp17_ = 0;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp12_ = a;
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = z;
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = number_invert_sign (_tmp13_);
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = _tmp14_;
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = number_to_integer (_tmp15_);
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = expected;
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = g_strdup_printf ("(%d).invert_sign () -> %d, expected %d", _tmp12_, (gint) _tmp16_, _tmp17_);
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = _tmp18_;
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp19_);
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp19_);
#line 231 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (_tmp15_);
#line 232 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 232 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 1817 "test-number.c"
				}
#line 225 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 1821 "test-number.c"
			}
		}
	}
#line 236 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 1827 "test-number.c"
}


void test_abs (void) {
	{
		gint a = 0;
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 1836 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 1843 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gint expected = 0;
				gint _tmp5_ = 0;
				gint _tmp6_ = 0;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				Number* _tmp9_ = NULL;
				gint64 _tmp10_ = 0LL;
				gint _tmp11_ = 0;
				gboolean _tmp12_ = FALSE;
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 1859 "test-number.c"
					gint _tmp1_ = 0;
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 1865 "test-number.c"
				}
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 1875 "test-number.c"
				}
#line 243 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 243 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 243 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 244 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = a;
#line 244 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = abs (_tmp5_);
#line 244 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp6_;
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = z;
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = number_abs (_tmp7_);
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = _tmp8_;
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = number_to_integer (_tmp9_);
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = _tmp10_ != ((gint64) _tmp11_);
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp9_);
#line 245 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp12_) {
#line 1905 "test-number.c"
					gint _tmp13_ = 0;
					Number* _tmp14_ = NULL;
					Number* _tmp15_ = NULL;
					Number* _tmp16_ = NULL;
					gint64 _tmp17_ = 0LL;
					gint _tmp18_ = 0;
					gchar* _tmp19_ = NULL;
					gchar* _tmp20_ = NULL;
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_abs (_tmp14_);
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = _tmp15_;
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = number_to_integer (_tmp16_);
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = expected;
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = g_strdup_printf ("(%d).abs () -> %d, expected %d", _tmp13_, (gint) _tmp17_, _tmp18_);
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp20_ = _tmp19_;
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp20_);
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp20_);
#line 247 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (_tmp16_);
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 248 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 1940 "test-number.c"
				}
#line 241 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 1944 "test-number.c"
			}
		}
	}
#line 252 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 1950 "test-number.c"
}


void test_arg (void) {
	{
		gint a = 0;
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 1959 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 1966 "test-number.c"
				gint _tmp2_ = 0;
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 1970 "test-number.c"
					gint _tmp1_ = 0;
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 1976 "test-number.c"
				}
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 257 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 1986 "test-number.c"
				}
				{
					gint b = 0;
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 1992 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 1999 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							Number* _tmp14_ = NULL;
							Number* _tmp15_ = NULL;
							gdouble expected = 0.0;
							gint _tmp16_ = 0;
							gint _tmp17_ = 0;
							gdouble _tmp18_ = 0.0;
							gboolean _tmp19_ = FALSE;
							Number* _tmp20_ = NULL;
							Number* _tmp21_ = NULL;
							Number* _tmp22_ = NULL;
							gdouble _tmp23_ = 0.0;
							gboolean _tmp24_ = FALSE;
							gboolean _tmp25_ = FALSE;
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 2025 "test-number.c"
								gint _tmp4_ = 0;
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 2031 "test-number.c"
							}
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 2041 "test-number.c"
							}
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_new_complex (_tmp8_, _tmp11_);
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 261 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 262 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = z;
#line 262 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = number_arg (_tmp14_, ANGLE_UNIT_RADIANS);
#line 262 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 262 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp15_;
#line 263 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = b;
#line 263 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = a;
#line 263 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = atan2 ((gdouble) _tmp16_, (gdouble) _tmp17_);
#line 263 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp18_;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp20_ = z;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp21_ = number_real_component (_tmp20_);
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp22_ = _tmp21_;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp23_ = expected;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp24_ = double_matches (_tmp22_, _tmp23_);
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp25_ = !_tmp24_;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp22_);
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp25_) {
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = TRUE;
#line 2099 "test-number.c"
							} else {
								Number* _tmp26_ = NULL;
								Number* _tmp27_ = NULL;
								Number* _tmp28_ = NULL;
								gboolean _tmp29_ = FALSE;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp26_ = z;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp27_ = number_imaginary_component (_tmp26_);
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp28_ = _tmp27_;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp29_ = number_is_zero (_tmp28_);
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = !_tmp29_;
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp28_);
#line 2117 "test-number.c"
							}
#line 264 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp19_) {
#line 2121 "test-number.c"
								gint _tmp30_ = 0;
								gint _tmp31_ = 0;
								Number* _tmp32_ = NULL;
								Number* _tmp33_ = NULL;
								Number* _tmp34_ = NULL;
								gdouble _tmp35_ = 0.0;
								Number* _tmp36_ = NULL;
								Number* _tmp37_ = NULL;
								Number* _tmp38_ = NULL;
								gdouble _tmp39_ = 0.0;
								gdouble _tmp40_ = 0.0;
								gchar* _tmp41_ = NULL;
								gchar* _tmp42_ = NULL;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp30_ = a;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp31_ = b;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp32_ = z;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp33_ = number_real_component (_tmp32_);
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp34_ = _tmp33_;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp35_ = number_to_double (_tmp34_);
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp36_ = z;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp37_ = number_imaginary_component (_tmp36_);
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp38_ = _tmp37_;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp39_ = number_to_double (_tmp38_);
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp40_ = expected;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp41_ = g_strdup_printf ("(%d%+di).arg () -> %f%+fi, expected %f", _tmp30_, _tmp31_, _tmp35_, _tmp39_, _tmp40_);
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp42_ = _tmp41_;
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp42_);
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp42_);
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp38_);
#line 266 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp34_);
#line 267 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 267 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 2173 "test-number.c"
							}
#line 259 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 2177 "test-number.c"
						}
					}
				}
			}
		}
	}
}


void test_conjugate (void) {
	{
		gint a = 0;
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 2192 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 2199 "test-number.c"
				gint _tmp2_ = 0;
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 2203 "test-number.c"
					gint _tmp1_ = 0;
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 2209 "test-number.c"
				}
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 275 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 2219 "test-number.c"
				}
				{
					gint b = 0;
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 2225 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 2232 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							Number* _tmp14_ = NULL;
							Number* _tmp15_ = NULL;
							gint re_expected = 0;
							gint _tmp16_ = 0;
							gint im_expected = 0;
							gint _tmp17_ = 0;
							gboolean _tmp18_ = FALSE;
							Number* _tmp19_ = NULL;
							Number* _tmp20_ = NULL;
							Number* _tmp21_ = NULL;
							gint64 _tmp22_ = 0LL;
							gint _tmp23_ = 0;
							gboolean _tmp24_ = FALSE;
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 2258 "test-number.c"
								gint _tmp4_ = 0;
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 2264 "test-number.c"
							}
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 2274 "test-number.c"
							}
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_new_complex (_tmp8_, _tmp11_);
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 279 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 280 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = z;
#line 280 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = number_conjugate (_tmp14_);
#line 280 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 280 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp15_;
#line 281 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = a;
#line 281 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							re_expected = _tmp16_;
#line 282 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = b;
#line 282 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							im_expected = -_tmp17_;
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp19_ = z;
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp20_ = number_real_component (_tmp19_);
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp21_ = _tmp20_;
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp22_ = number_to_integer (_tmp21_);
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp23_ = re_expected;
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp24_ = _tmp22_ != ((gint64) _tmp23_);
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp21_);
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp24_) {
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp18_ = TRUE;
#line 2332 "test-number.c"
							} else {
								Number* _tmp25_ = NULL;
								Number* _tmp26_ = NULL;
								Number* _tmp27_ = NULL;
								gint64 _tmp28_ = 0LL;
								gint _tmp29_ = 0;
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = z;
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp26_ = number_imaginary_component (_tmp25_);
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp27_ = _tmp26_;
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp28_ = number_to_integer (_tmp27_);
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp29_ = im_expected;
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp18_ = _tmp28_ != ((gint64) _tmp29_);
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp27_);
#line 2353 "test-number.c"
							}
#line 283 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp18_) {
#line 2357 "test-number.c"
								gint _tmp30_ = 0;
								gint _tmp31_ = 0;
								Number* _tmp32_ = NULL;
								Number* _tmp33_ = NULL;
								Number* _tmp34_ = NULL;
								gint64 _tmp35_ = 0LL;
								Number* _tmp36_ = NULL;
								Number* _tmp37_ = NULL;
								Number* _tmp38_ = NULL;
								gint64 _tmp39_ = 0LL;
								gint _tmp40_ = 0;
								gint _tmp41_ = 0;
								gchar* _tmp42_ = NULL;
								gchar* _tmp43_ = NULL;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp30_ = a;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp31_ = b;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp32_ = z;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp33_ = number_real_component (_tmp32_);
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp34_ = _tmp33_;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp35_ = number_to_integer (_tmp34_);
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp36_ = z;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp37_ = number_imaginary_component (_tmp36_);
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp38_ = _tmp37_;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp39_ = number_to_integer (_tmp38_);
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp40_ = re_expected;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp41_ = im_expected;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp42_ = g_strdup_printf ("(%d%+di).real_component () -> %d%+di, expected %d%+di", _tmp30_, _tmp31_, (gint) _tmp35_, (gint) _tmp39_, _tmp40_, _tmp41_);
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp43_ = _tmp42_;
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp43_);
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp43_);
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp38_);
#line 285 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp34_);
#line 286 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 286 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 2412 "test-number.c"
							}
#line 277 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 2416 "test-number.c"
						}
					}
				}
			}
		}
	}
}


void test_real_component (void) {
	{
		gint a = 0;
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 2431 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 2438 "test-number.c"
				gint _tmp2_ = 0;
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 2442 "test-number.c"
					gint _tmp1_ = 0;
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 2448 "test-number.c"
				}
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 294 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 2458 "test-number.c"
				}
				{
					gint b = 0;
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 2464 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 2471 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							Number* _tmp15_ = NULL;
							Number* _tmp16_ = NULL;
							Number* _tmp17_ = NULL;
							gint64 _tmp18_ = 0LL;
							gint _tmp19_ = 0;
							gboolean _tmp20_ = FALSE;
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 2492 "test-number.c"
								gint _tmp4_ = 0;
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 2498 "test-number.c"
							}
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 2508 "test-number.c"
							}
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_new_complex (_tmp8_, _tmp11_);
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 298 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 299 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 299 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_;
#line 300 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = z;
#line 300 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = number_real_component (_tmp15_);
#line 300 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = _tmp16_;
#line 300 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = number_to_integer (_tmp17_);
#line 300 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp19_ = expected;
#line 300 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp20_ = _tmp18_ != ((gint64) _tmp19_);
#line 300 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp17_);
#line 300 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp20_) {
#line 2552 "test-number.c"
								gint _tmp21_ = 0;
								gint _tmp22_ = 0;
								Number* _tmp23_ = NULL;
								Number* _tmp24_ = NULL;
								Number* _tmp25_ = NULL;
								gint64 _tmp26_ = 0LL;
								gint _tmp27_ = 0;
								gchar* _tmp28_ = NULL;
								gchar* _tmp29_ = NULL;
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = a;
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = b;
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = z;
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = number_real_component (_tmp23_);
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp26_ = number_to_integer (_tmp25_);
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp27_ = expected;
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp28_ = g_strdup_printf ("(%d+%di).real_component () -> %d, expected %d", _tmp21_, _tmp22_, (gint) _tmp26_, _tmp27_);
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp29_ = _tmp28_;
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp29_);
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp29_);
#line 302 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp25_);
#line 303 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 303 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 2590 "test-number.c"
							}
#line 296 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 2594 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 308 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 2603 "test-number.c"
}


void test_imaginary_component (void) {
	{
		gint a = 0;
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 2612 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 2619 "test-number.c"
				gint _tmp2_ = 0;
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 2623 "test-number.c"
					gint _tmp1_ = 0;
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 2629 "test-number.c"
				}
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 313 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 2639 "test-number.c"
				}
				{
					gint b = 0;
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 2645 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 2652 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							Number* _tmp15_ = NULL;
							Number* _tmp16_ = NULL;
							Number* _tmp17_ = NULL;
							gint64 _tmp18_ = 0LL;
							gint _tmp19_ = 0;
							gboolean _tmp20_ = FALSE;
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 2673 "test-number.c"
								gint _tmp4_ = 0;
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 2679 "test-number.c"
							}
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 2689 "test-number.c"
							}
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_new_complex (_tmp8_, _tmp11_);
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 317 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 318 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = b;
#line 318 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_;
#line 319 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = z;
#line 319 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = number_imaginary_component (_tmp15_);
#line 319 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = _tmp16_;
#line 319 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = number_to_integer (_tmp17_);
#line 319 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp19_ = expected;
#line 319 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp20_ = _tmp18_ != ((gint64) _tmp19_);
#line 319 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp17_);
#line 319 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp20_) {
#line 2733 "test-number.c"
								gint _tmp21_ = 0;
								gint _tmp22_ = 0;
								Number* _tmp23_ = NULL;
								Number* _tmp24_ = NULL;
								Number* _tmp25_ = NULL;
								gint64 _tmp26_ = 0LL;
								gint _tmp27_ = 0;
								gchar* _tmp28_ = NULL;
								gchar* _tmp29_ = NULL;
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = a;
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = b;
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = z;
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = number_imaginary_component (_tmp23_);
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp26_ = number_to_integer (_tmp25_);
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp27_ = expected;
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp28_ = g_strdup_printf ("(%d+%di).imaginary_component () -> %d, expected %d", _tmp21_, _tmp22_, (gint) _tmp26_, _tmp27_);
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp29_ = _tmp28_;
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp29_);
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp29_);
#line 321 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (_tmp25_);
#line 322 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 322 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 2771 "test-number.c"
							}
#line 315 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 2775 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 327 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 2784 "test-number.c"
}


gboolean double_matches (Number* a, gdouble b) {
	gboolean result = FALSE;
	Number* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gdouble _tmp4_ = 0.0;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
#line 330 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	g_return_val_if_fail (a != NULL, FALSE);
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = a;
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp1_ = number_to_double (_tmp0_);
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp2_ = double_string (_tmp1_);
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp3_ = _tmp2_;
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp4_ = b;
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp5_ = double_string (_tmp4_);
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp6_ = _tmp5_;
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp7_ = g_strcmp0 (_tmp3_, _tmp6_) == 0;
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_g_free0 (_tmp6_);
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_g_free0 (_tmp3_);
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	result = _tmp7_;
#line 332 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	return result;
#line 2824 "test-number.c"
}


gchar* double_string (gdouble x) {
	gchar* result = NULL;
	gchar* value = NULL;
	gdouble _tmp0_ = 0.0;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 337 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = x;
#line 337 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp1_ = g_strdup_printf ("%.6f", _tmp0_);
#line 337 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	value = _tmp1_;
#line 338 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp2_ = value;
#line 338 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	if (g_strcmp0 (_tmp2_, "-0.000000") == 0) {
#line 2844 "test-number.c"
		gchar* _tmp3_ = NULL;
#line 339 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp3_ = g_strdup ("0.000000");
#line 339 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		result = _tmp3_;
#line 339 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_g_free0 (value);
#line 339 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		return result;
#line 2854 "test-number.c"
	} else {
#line 341 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		result = value;
#line 341 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		return result;
#line 2860 "test-number.c"
	}
#line 335 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_g_free0 (value);
#line 2864 "test-number.c"
}


void test_integer_component (void) {
	{
		gint ai = 0;
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		ai = -100;
#line 2873 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 2880 "test-number.c"
				gint _tmp2_ = 0;
				gdouble a = 0.0;
				gint _tmp3_ = 0;
				Number* z = NULL;
				gdouble _tmp4_ = 0.0;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp9_ = 0.0;
				gdouble _tmp10_ = 0.0;
				Number* _tmp11_ = NULL;
				gdouble _tmp12_ = 0.0;
				gboolean _tmp13_ = FALSE;
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 2898 "test-number.c"
					gint _tmp1_ = 0;
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = ai;
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					ai = _tmp1_ + 1;
#line 2904 "test-number.c"
				}
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = ai;
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 100)) {
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 2914 "test-number.c"
				}
#line 348 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = ai;
#line 348 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				a = _tmp3_ / 10.0;
#line 349 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = a;
#line 349 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = number_new_double (_tmp4_);
#line 349 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = _tmp5_;
#line 349 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_integer_component (_tmp6_);
#line 349 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 349 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp6_);
#line 349 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp8_;
#line 350 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = a;
#line 350 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = trunc (_tmp9_);
#line 350 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp10_;
#line 351 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = z;
#line 351 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = expected;
#line 351 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = double_matches (_tmp11_, _tmp12_);
#line 351 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp13_) {
#line 2948 "test-number.c"
					gdouble _tmp14_ = 0.0;
					Number* _tmp15_ = NULL;
					gdouble _tmp16_ = 0.0;
					gdouble _tmp17_ = 0.0;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 353 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 353 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = z;
#line 353 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = number_to_double (_tmp15_);
#line 353 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = expected;
#line 353 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = g_strdup_printf ("(%f).integer_component () -> %f, expected %f", _tmp14_, _tmp16_, _tmp17_);
#line 353 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = _tmp18_;
#line 353 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp19_);
#line 353 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp19_);
#line 354 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 354 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 2975 "test-number.c"
				}
#line 346 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 2979 "test-number.c"
			}
		}
	}
#line 358 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 2985 "test-number.c"
}


void test_fractional_component (void) {
	{
		gint ai = 0;
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		ai = -100;
#line 2994 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 3001 "test-number.c"
				gint _tmp2_ = 0;
				gdouble a = 0.0;
				gint _tmp3_ = 0;
				Number* z = NULL;
				gdouble _tmp4_ = 0.0;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp9_ = 0.0;
				gdouble _tmp10_ = 0.0;
				gdouble _tmp11_ = 0.0;
				Number* _tmp12_ = NULL;
				gdouble _tmp13_ = 0.0;
				gboolean _tmp14_ = FALSE;
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 3020 "test-number.c"
					gint _tmp1_ = 0;
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = ai;
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					ai = _tmp1_ + 1;
#line 3026 "test-number.c"
				}
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = ai;
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 100)) {
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 3036 "test-number.c"
				}
#line 365 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = ai;
#line 365 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				a = _tmp3_ / 10.0;
#line 366 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = a;
#line 366 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = number_new_double (_tmp4_);
#line 366 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = _tmp5_;
#line 366 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_fractional_component (_tmp6_);
#line 366 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 366 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp6_);
#line 366 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp8_;
#line 367 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = a;
#line 367 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = a;
#line 367 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = trunc (_tmp10_);
#line 367 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_ - _tmp11_;
#line 368 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = z;
#line 368 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = expected;
#line 368 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp14_ = double_matches (_tmp12_, _tmp13_);
#line 368 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp14_) {
#line 3072 "test-number.c"
					gdouble _tmp15_ = 0.0;
					Number* _tmp16_ = NULL;
					gdouble _tmp17_ = 0.0;
					gdouble _tmp18_ = 0.0;
					gchar* _tmp19_ = NULL;
					gchar* _tmp20_ = NULL;
#line 370 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = a;
#line 370 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = z;
#line 370 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = number_to_double (_tmp16_);
#line 370 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = expected;
#line 370 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = g_strdup_printf ("(%f).fractional_component () -> %f, expected %f", _tmp15_, _tmp17_, _tmp18_);
#line 370 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp20_ = _tmp19_;
#line 370 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp20_);
#line 370 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp20_);
#line 371 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 371 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 3099 "test-number.c"
				}
#line 363 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 3103 "test-number.c"
			}
		}
	}
#line 375 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 3109 "test-number.c"
}


void test_fractional_part (void) {
	{
		gint ai = 0;
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		ai = -100;
#line 3118 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 3125 "test-number.c"
				gint _tmp2_ = 0;
				gdouble a = 0.0;
				gint _tmp3_ = 0;
				Number* z = NULL;
				gdouble _tmp4_ = 0.0;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp9_ = 0.0;
				gdouble _tmp10_ = 0.0;
				gdouble _tmp11_ = 0.0;
				Number* _tmp12_ = NULL;
				gdouble _tmp13_ = 0.0;
				gboolean _tmp14_ = FALSE;
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 3144 "test-number.c"
					gint _tmp1_ = 0;
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = ai;
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					ai = _tmp1_ + 1;
#line 3150 "test-number.c"
				}
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = ai;
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 100)) {
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 3160 "test-number.c"
				}
#line 382 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = ai;
#line 382 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				a = _tmp3_ / 10.0;
#line 383 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = a;
#line 383 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = number_new_double (_tmp4_);
#line 383 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = _tmp5_;
#line 383 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_fractional_part (_tmp6_);
#line 383 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 383 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp6_);
#line 383 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp8_;
#line 384 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = a;
#line 384 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = a;
#line 384 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = floor (_tmp10_);
#line 384 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_ - _tmp11_;
#line 385 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = z;
#line 385 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = expected;
#line 385 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp14_ = double_matches (_tmp12_, _tmp13_);
#line 385 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp14_) {
#line 3196 "test-number.c"
					gdouble _tmp15_ = 0.0;
					Number* _tmp16_ = NULL;
					gdouble _tmp17_ = 0.0;
					gdouble _tmp18_ = 0.0;
					gchar* _tmp19_ = NULL;
					gchar* _tmp20_ = NULL;
#line 387 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = a;
#line 387 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = z;
#line 387 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = number_to_double (_tmp16_);
#line 387 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = expected;
#line 387 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = g_strdup_printf ("(%f).fractional_part () -> %f, expected %f", _tmp15_, _tmp17_, _tmp18_);
#line 387 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp20_ = _tmp19_;
#line 387 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp20_);
#line 387 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp20_);
#line 388 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 388 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 3223 "test-number.c"
				}
#line 380 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 3227 "test-number.c"
			}
		}
	}
#line 392 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 3233 "test-number.c"
}


void test_floor (void) {
	{
		gint ai = 0;
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		ai = -100;
#line 3242 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 3249 "test-number.c"
				gint _tmp2_ = 0;
				gdouble a = 0.0;
				gint _tmp3_ = 0;
				Number* z = NULL;
				gdouble _tmp4_ = 0.0;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp9_ = 0.0;
				gdouble _tmp10_ = 0.0;
				Number* _tmp11_ = NULL;
				gdouble _tmp12_ = 0.0;
				gboolean _tmp13_ = FALSE;
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 3267 "test-number.c"
					gint _tmp1_ = 0;
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = ai;
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					ai = _tmp1_ + 1;
#line 3273 "test-number.c"
				}
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = ai;
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 100)) {
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 3283 "test-number.c"
				}
#line 399 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = ai;
#line 399 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				a = _tmp3_ / 10.0;
#line 400 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = a;
#line 400 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = number_new_double (_tmp4_);
#line 400 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = _tmp5_;
#line 400 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_floor (_tmp6_);
#line 400 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 400 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp6_);
#line 400 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp8_;
#line 401 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = a;
#line 401 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = floor (_tmp9_);
#line 401 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp10_;
#line 402 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = z;
#line 402 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = expected;
#line 402 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = double_matches (_tmp11_, _tmp12_);
#line 402 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp13_) {
#line 3317 "test-number.c"
					gdouble _tmp14_ = 0.0;
					Number* _tmp15_ = NULL;
					gdouble _tmp16_ = 0.0;
					gdouble _tmp17_ = 0.0;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 404 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 404 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = z;
#line 404 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = number_to_double (_tmp15_);
#line 404 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = expected;
#line 404 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = g_strdup_printf ("(%f).floor () -> %f, expected %f", _tmp14_, _tmp16_, _tmp17_);
#line 404 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = _tmp18_;
#line 404 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp19_);
#line 404 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp19_);
#line 405 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 405 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 3344 "test-number.c"
				}
#line 397 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 3348 "test-number.c"
			}
		}
	}
#line 409 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 3354 "test-number.c"
}


void test_ceiling (void) {
	{
		gint ai = 0;
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		ai = -100;
#line 3363 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 3370 "test-number.c"
				gint _tmp2_ = 0;
				gdouble a = 0.0;
				gint _tmp3_ = 0;
				Number* z = NULL;
				gdouble _tmp4_ = 0.0;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp9_ = 0.0;
				gdouble _tmp10_ = 0.0;
				Number* _tmp11_ = NULL;
				gdouble _tmp12_ = 0.0;
				gboolean _tmp13_ = FALSE;
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 3388 "test-number.c"
					gint _tmp1_ = 0;
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = ai;
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					ai = _tmp1_ + 1;
#line 3394 "test-number.c"
				}
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = ai;
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 100)) {
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 3404 "test-number.c"
				}
#line 416 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = ai;
#line 416 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				a = _tmp3_ / 10.0;
#line 417 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = a;
#line 417 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = number_new_double (_tmp4_);
#line 417 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = _tmp5_;
#line 417 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_ceiling (_tmp6_);
#line 417 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 417 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp6_);
#line 417 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp8_;
#line 418 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = a;
#line 418 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = ceil (_tmp9_);
#line 418 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp10_;
#line 419 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = z;
#line 419 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = expected;
#line 419 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = double_matches (_tmp11_, _tmp12_);
#line 419 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp13_) {
#line 3438 "test-number.c"
					gdouble _tmp14_ = 0.0;
					Number* _tmp15_ = NULL;
					gdouble _tmp16_ = 0.0;
					gdouble _tmp17_ = 0.0;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 421 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 421 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = z;
#line 421 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = number_to_double (_tmp15_);
#line 421 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = expected;
#line 421 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = g_strdup_printf ("(%f).ceiling () -> %f, expected %f", _tmp14_, _tmp16_, _tmp17_);
#line 421 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = _tmp18_;
#line 421 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp19_);
#line 421 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp19_);
#line 422 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 422 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 3465 "test-number.c"
				}
#line 414 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 3469 "test-number.c"
			}
		}
	}
#line 426 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 3475 "test-number.c"
}


void test_round (void) {
	{
		gint ai = 0;
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		ai = -100;
#line 3484 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 3491 "test-number.c"
				gint _tmp2_ = 0;
				gdouble a = 0.0;
				gint _tmp3_ = 0;
				Number* z = NULL;
				gdouble _tmp4_ = 0.0;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp9_ = 0.0;
				gdouble _tmp10_ = 0.0;
				Number* _tmp11_ = NULL;
				gdouble _tmp12_ = 0.0;
				gboolean _tmp13_ = FALSE;
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 3509 "test-number.c"
					gint _tmp1_ = 0;
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = ai;
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					ai = _tmp1_ + 1;
#line 3515 "test-number.c"
				}
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = ai;
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 100)) {
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 3525 "test-number.c"
				}
#line 433 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = ai;
#line 433 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				a = _tmp3_ / 10.0;
#line 434 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = a;
#line 434 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = number_new_double (_tmp4_);
#line 434 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = _tmp5_;
#line 434 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_round (_tmp6_);
#line 434 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 434 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp6_);
#line 434 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp8_;
#line 435 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = a;
#line 435 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = round (_tmp9_);
#line 435 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp10_;
#line 436 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = z;
#line 436 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = expected;
#line 436 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = double_matches (_tmp11_, _tmp12_);
#line 436 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp13_) {
#line 3559 "test-number.c"
					gdouble _tmp14_ = 0.0;
					Number* _tmp15_ = NULL;
					gdouble _tmp16_ = 0.0;
					gdouble _tmp17_ = 0.0;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 438 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 438 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = z;
#line 438 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = number_to_double (_tmp15_);
#line 438 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = expected;
#line 438 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = g_strdup_printf ("(%f).round () -> %f, expected %f", _tmp14_, _tmp16_, _tmp17_);
#line 438 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = _tmp18_;
#line 438 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp19_);
#line 438 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp19_);
#line 439 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 439 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 3586 "test-number.c"
				}
#line 431 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 3590 "test-number.c"
			}
		}
	}
#line 443 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 3596 "test-number.c"
}


void test_reciprocal (void) {
	{
		gint a = 0;
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 3605 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 3612 "test-number.c"
				gint _tmp2_ = 0;
				gint _tmp3_ = 0;
				Number* z = NULL;
				gint _tmp4_ = 0;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gdouble expected = 0.0;
				gint _tmp9_ = 0;
				Number* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gboolean _tmp12_ = FALSE;
				gdouble _tmp19_ = 0.0;
				Number* _tmp20_ = NULL;
				Number* _tmp21_ = NULL;
				Number* _tmp22_ = NULL;
				Number* _tmp23_ = NULL;
				gint _tmp24_ = 0;
				gboolean _tmp25_ = FALSE;
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 3635 "test-number.c"
					gint _tmp1_ = 0;
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 3641 "test-number.c"
				}
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 3651 "test-number.c"
				}
#line 450 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 450 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp3_ == 0) {
#line 451 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					continue;
#line 3659 "test-number.c"
				}
#line 453 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = a;
#line 453 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = number_new_double ((gdouble) _tmp4_);
#line 453 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = _tmp5_;
#line 453 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_reciprocal (_tmp6_);
#line 453 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 453 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp6_);
#line 453 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp8_;
#line 454 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = a;
#line 454 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = 1.0 / _tmp9_;
#line 455 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = z;
#line 455 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 455 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = double_matches (_tmp10_, _tmp11_);
#line 455 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp12_) {
#line 3687 "test-number.c"
					gint _tmp13_ = 0;
					Number* _tmp14_ = NULL;
					gdouble _tmp15_ = 0.0;
					gdouble _tmp16_ = 0.0;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 457 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 457 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 457 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_to_double (_tmp14_);
#line 457 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = expected;
#line 457 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = g_strdup_printf ("(%f).reciprocal () -> %f, expected %f", (gdouble) _tmp13_, _tmp15_, _tmp16_);
#line 457 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = _tmp17_;
#line 457 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp18_);
#line 457 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp18_);
#line 458 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 458 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 3714 "test-number.c"
				}
#line 461 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp19_ = expected;
#line 461 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp20_ = number_new_double (_tmp19_);
#line 461 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp21_ = _tmp20_;
#line 461 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp22_ = number_reciprocal (_tmp21_);
#line 461 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 461 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp22_;
#line 461 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp21_);
#line 462 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp23_ = z;
#line 462 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp24_ = a;
#line 462 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp25_ = double_matches (_tmp23_, (gdouble) _tmp24_);
#line 462 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp25_) {
#line 3738 "test-number.c"
					gdouble _tmp26_ = 0.0;
					Number* _tmp27_ = NULL;
					gdouble _tmp28_ = 0.0;
					gint _tmp29_ = 0;
					gchar* _tmp30_ = NULL;
					gchar* _tmp31_ = NULL;
#line 464 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp26_ = expected;
#line 464 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp27_ = z;
#line 464 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp28_ = number_to_double (_tmp27_);
#line 464 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp29_ = a;
#line 464 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp30_ = g_strdup_printf ("(%f).reciprocal () -> %f, expected %f", _tmp26_, _tmp28_, (gdouble) _tmp29_);
#line 464 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp31_ = _tmp30_;
#line 464 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp31_);
#line 464 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp31_);
#line 465 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 465 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 3765 "test-number.c"
				}
#line 448 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 3769 "test-number.c"
			}
		}
	}
#line 469 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 3775 "test-number.c"
}


void test_epowy (void) {
	{
		gint ai = 0;
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		ai = -100;
#line 3784 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 3791 "test-number.c"
				gint _tmp2_ = 0;
				gdouble a = 0.0;
				gint _tmp3_ = 0;
				Number* z = NULL;
				gdouble _tmp4_ = 0.0;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				Number* _tmp8_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp9_ = 0.0;
				gdouble _tmp10_ = 0.0;
				Number* _tmp11_ = NULL;
				gdouble _tmp12_ = 0.0;
				gboolean _tmp13_ = FALSE;
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 3809 "test-number.c"
					gint _tmp1_ = 0;
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = ai;
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					ai = _tmp1_ + 1;
#line 3815 "test-number.c"
				}
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = ai;
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 100)) {
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 3825 "test-number.c"
				}
#line 476 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = ai;
#line 476 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				a = _tmp3_ / 10.0;
#line 477 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = a;
#line 477 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = number_new_double (_tmp4_);
#line 477 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = _tmp5_;
#line 477 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_epowy (_tmp6_);
#line 477 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = _tmp7_;
#line 477 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp6_);
#line 477 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp8_;
#line 478 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = a;
#line 478 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = exp (_tmp9_);
#line 478 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp10_;
#line 479 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = z;
#line 479 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = expected;
#line 479 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = double_matches (_tmp11_, _tmp12_);
#line 479 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp13_) {
#line 3859 "test-number.c"
					gdouble _tmp14_ = 0.0;
					Number* _tmp15_ = NULL;
					gdouble _tmp16_ = 0.0;
					gdouble _tmp17_ = 0.0;
					gchar* _tmp18_ = NULL;
					gchar* _tmp19_ = NULL;
#line 481 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 481 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = z;
#line 481 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = number_to_double (_tmp15_);
#line 481 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = expected;
#line 481 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = g_strdup_printf ("(%f).epowy () -> %f, expected %f", _tmp14_, _tmp16_, _tmp17_);
#line 481 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = _tmp18_;
#line 481 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp19_);
#line 481 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp19_);
#line 482 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 482 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 3886 "test-number.c"
				}
#line 474 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 3890 "test-number.c"
			}
		}
	}
#line 486 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 3896 "test-number.c"
}


void test_xpowy (void) {
	{
		gint a = 0;
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 3905 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 3912 "test-number.c"
				gint _tmp2_ = 0;
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 3916 "test-number.c"
					gint _tmp1_ = 0;
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 3922 "test-number.c"
				}
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 491 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 3932 "test-number.c"
				}
				{
					gint b = 0;
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 3938 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 3945 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gdouble expected = 0.0;
							gint _tmp14_ = 0;
							Number* _tmp29_ = NULL;
							gdouble _tmp30_ = 0.0;
							gboolean _tmp31_ = FALSE;
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 3963 "test-number.c"
								gint _tmp4_ = 0;
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 3969 "test-number.c"
							}
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 3979 "test-number.c"
							}
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_xpowy (_tmp8_, _tmp11_);
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 495 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 496 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = 1.0;
#line 497 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 497 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp14_ == 0) {
#line 500 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								expected = 0.0;
#line 4011 "test-number.c"
							} else {
								gint _tmp15_ = 0;
#line 504 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp15_ = b;
#line 504 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (_tmp15_ < 0) {
#line 4018 "test-number.c"
									{
										gint i = 0;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
										i = 0;
#line 4023 "test-number.c"
										{
											gboolean _tmp16_ = FALSE;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
											_tmp16_ = TRUE;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
											while (TRUE) {
#line 4030 "test-number.c"
												gint _tmp18_ = 0;
												gint _tmp19_ = 0;
												gdouble _tmp20_ = 0.0;
												gint _tmp21_ = 0;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												if (!_tmp16_) {
#line 4037 "test-number.c"
													gint _tmp17_ = 0;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp17_ = i;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													i = _tmp17_ - 1;
#line 4043 "test-number.c"
												}
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp16_ = FALSE;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp18_ = i;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp19_ = b;
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												if (!(_tmp18_ > _tmp19_)) {
#line 505 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													break;
#line 4055 "test-number.c"
												}
#line 506 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp20_ = expected;
#line 506 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp21_ = a;
#line 506 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												expected = _tmp20_ / _tmp21_;
#line 4063 "test-number.c"
											}
										}
									}
								} else {
									gint _tmp22_ = 0;
#line 507 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp22_ = b;
#line 507 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									if (_tmp22_ > 0) {
#line 4073 "test-number.c"
										{
											gint i = 0;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
											i = 0;
#line 4078 "test-number.c"
											{
												gboolean _tmp23_ = FALSE;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp23_ = TRUE;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												while (TRUE) {
#line 4085 "test-number.c"
													gint _tmp25_ = 0;
													gint _tmp26_ = 0;
													gdouble _tmp27_ = 0.0;
													gint _tmp28_ = 0;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													if (!_tmp23_) {
#line 4092 "test-number.c"
														gint _tmp24_ = 0;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
														_tmp24_ = i;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
														i = _tmp24_ + 1;
#line 4098 "test-number.c"
													}
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp23_ = FALSE;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp25_ = i;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp26_ = b;
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													if (!(_tmp25_ < _tmp26_)) {
#line 508 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
														break;
#line 4110 "test-number.c"
													}
#line 509 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp27_ = expected;
#line 509 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp28_ = a;
#line 509 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													expected = _tmp27_ * _tmp28_;
#line 4118 "test-number.c"
												}
											}
										}
									}
								}
							}
#line 512 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp29_ = z;
#line 512 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp30_ = expected;
#line 512 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp31_ = double_matches (_tmp29_, _tmp30_);
#line 512 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp31_) {
#line 4133 "test-number.c"
								gint _tmp32_ = 0;
								gint _tmp33_ = 0;
								Number* _tmp34_ = NULL;
								gdouble _tmp35_ = 0.0;
								gdouble _tmp36_ = 0.0;
								gchar* _tmp37_ = NULL;
								gchar* _tmp38_ = NULL;
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp32_ = a;
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp33_ = b;
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp34_ = z;
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp35_ = number_to_double (_tmp34_);
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp36_ = expected;
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp37_ = g_strdup_printf ("(%d).xpowy (%d) -> %f, expected %f", _tmp32_, _tmp33_, _tmp35_, _tmp36_);
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp38_ = _tmp37_;
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp38_);
#line 514 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp38_);
#line 515 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 515 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 4163 "test-number.c"
							}
#line 493 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 4167 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 520 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 4176 "test-number.c"
}


void test_xpowy_integer (void) {
	{
		gint a = 0;
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 4185 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 4192 "test-number.c"
				gint _tmp2_ = 0;
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 4196 "test-number.c"
					gint _tmp1_ = 0;
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 4202 "test-number.c"
				}
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 525 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 4212 "test-number.c"
				}
				{
					gint b = 0;
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 4218 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 4225 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							gdouble expected = 0.0;
							gint _tmp12_ = 0;
							Number* _tmp27_ = NULL;
							gdouble _tmp28_ = 0.0;
							gboolean _tmp29_ = FALSE;
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 4241 "test-number.c"
								gint _tmp4_ = 0;
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 4247 "test-number.c"
							}
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 4257 "test-number.c"
							}
#line 529 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 529 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 529 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 529 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 529 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_xpowy_integer (_tmp8_, (gint64) _tmp9_);
#line 529 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 529 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 529 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp11_;
#line 530 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = 1.0;
#line 531 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = a;
#line 531 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp12_ == 0) {
#line 534 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								expected = 0.0;
#line 4283 "test-number.c"
							} else {
								gint _tmp13_ = 0;
#line 538 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp13_ = b;
#line 538 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (_tmp13_ < 0) {
#line 4290 "test-number.c"
									{
										gint i = 0;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
										i = 0;
#line 4295 "test-number.c"
										{
											gboolean _tmp14_ = FALSE;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
											_tmp14_ = TRUE;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
											while (TRUE) {
#line 4302 "test-number.c"
												gint _tmp16_ = 0;
												gint _tmp17_ = 0;
												gdouble _tmp18_ = 0.0;
												gint _tmp19_ = 0;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												if (!_tmp14_) {
#line 4309 "test-number.c"
													gint _tmp15_ = 0;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp15_ = i;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													i = _tmp15_ - 1;
#line 4315 "test-number.c"
												}
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp14_ = FALSE;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp16_ = i;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp17_ = b;
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												if (!(_tmp16_ > _tmp17_)) {
#line 539 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													break;
#line 4327 "test-number.c"
												}
#line 540 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp18_ = expected;
#line 540 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp19_ = a;
#line 540 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												expected = _tmp18_ / _tmp19_;
#line 4335 "test-number.c"
											}
										}
									}
								} else {
									gint _tmp20_ = 0;
#line 541 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp20_ = b;
#line 541 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									if (_tmp20_ > 0) {
#line 4345 "test-number.c"
										{
											gint i = 0;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
											i = 0;
#line 4350 "test-number.c"
											{
												gboolean _tmp21_ = FALSE;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												_tmp21_ = TRUE;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
												while (TRUE) {
#line 4357 "test-number.c"
													gint _tmp23_ = 0;
													gint _tmp24_ = 0;
													gdouble _tmp25_ = 0.0;
													gint _tmp26_ = 0;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													if (!_tmp21_) {
#line 4364 "test-number.c"
														gint _tmp22_ = 0;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
														_tmp22_ = i;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
														i = _tmp22_ + 1;
#line 4370 "test-number.c"
													}
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp21_ = FALSE;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp23_ = i;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp24_ = b;
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													if (!(_tmp23_ < _tmp24_)) {
#line 542 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
														break;
#line 4382 "test-number.c"
													}
#line 543 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp25_ = expected;
#line 543 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													_tmp26_ = a;
#line 543 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
													expected = _tmp25_ * _tmp26_;
#line 4390 "test-number.c"
												}
											}
										}
									}
								}
							}
#line 546 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp27_ = z;
#line 546 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp28_ = expected;
#line 546 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp29_ = double_matches (_tmp27_, _tmp28_);
#line 546 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp29_) {
#line 4405 "test-number.c"
								gint _tmp30_ = 0;
								gint _tmp31_ = 0;
								Number* _tmp32_ = NULL;
								gdouble _tmp33_ = 0.0;
								gdouble _tmp34_ = 0.0;
								gchar* _tmp35_ = NULL;
								gchar* _tmp36_ = NULL;
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp30_ = a;
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp31_ = b;
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp32_ = z;
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp33_ = number_to_double (_tmp32_);
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp34_ = expected;
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp35_ = g_strdup_printf ("(%d).xpowy_integer (%d) -> %f, expected %f", _tmp30_, _tmp31_, _tmp33_, _tmp34_);
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp36_ = _tmp35_;
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp36_);
#line 548 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp36_);
#line 549 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 549 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 4435 "test-number.c"
							}
#line 527 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 4439 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 554 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 4448 "test-number.c"
}


void test_root3 (void) {
	{
		gint a = 0;
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 4457 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 4464 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				gdouble expected = 0.0;
				gint _tmp8_ = 0;
				gdouble _tmp9_ = 0.0;
				Number* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gboolean _tmp12_ = FALSE;
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 4480 "test-number.c"
					gint _tmp1_ = 0;
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 4486 "test-number.c"
				}
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 4496 "test-number.c"
				}
#line 561 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 561 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_double ((gdouble) _tmp3_);
#line 561 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 561 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_root (_tmp5_, (gint64) 3);
#line 561 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 561 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 561 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp7_;
#line 562 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 562 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = cbrt ((gdouble) _tmp8_);
#line 562 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_;
#line 563 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = z;
#line 563 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 563 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = double_matches (_tmp10_, _tmp11_);
#line 563 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp12_) {
#line 4526 "test-number.c"
					gint _tmp13_ = 0;
					Number* _tmp14_ = NULL;
					gdouble _tmp15_ = 0.0;
					gdouble _tmp16_ = 0.0;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 565 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 565 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 565 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_to_double (_tmp14_);
#line 565 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = expected;
#line 565 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = g_strdup_printf ("(%f).root (3) -> %f, expected %f", (gdouble) _tmp13_, _tmp15_, _tmp16_);
#line 565 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = _tmp17_;
#line 565 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp18_);
#line 565 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp18_);
#line 566 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 566 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 4553 "test-number.c"
				}
#line 559 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 4557 "test-number.c"
			}
		}
	}
#line 570 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 4563 "test-number.c"
}


void test_sqrt (void) {
	{
		gint a = 0;
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 4572 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 4579 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				gdouble expected = 0.0;
				gint _tmp8_ = 0;
				gdouble _tmp9_ = 0.0;
				Number* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gboolean _tmp12_ = FALSE;
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 4595 "test-number.c"
					gint _tmp1_ = 0;
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 4601 "test-number.c"
				}
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 4611 "test-number.c"
				}
#line 577 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 577 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_double ((gdouble) _tmp3_);
#line 577 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 577 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_sqrt (_tmp5_);
#line 577 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 577 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 577 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp7_;
#line 578 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 578 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = sqrt ((gdouble) _tmp8_);
#line 578 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_;
#line 579 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = z;
#line 579 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 579 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = double_matches (_tmp10_, _tmp11_);
#line 579 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp12_) {
#line 4641 "test-number.c"
					gint _tmp13_ = 0;
					Number* _tmp14_ = NULL;
					gdouble _tmp15_ = 0.0;
					gdouble _tmp16_ = 0.0;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 581 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 581 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 581 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_to_double (_tmp14_);
#line 581 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = expected;
#line 581 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = g_strdup_printf ("(%f).sqrt () -> %f, expected %f", (gdouble) _tmp13_, _tmp15_, _tmp16_);
#line 581 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = _tmp17_;
#line 581 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp18_);
#line 581 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp18_);
#line 582 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 582 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 4668 "test-number.c"
				}
#line 575 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 4672 "test-number.c"
			}
		}
	}
#line 586 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 4678 "test-number.c"
}


void test_ln (void) {
	{
		gint a = 0;
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 1;
#line 4687 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 4694 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				gdouble expected = 0.0;
				gint _tmp8_ = 0;
				gdouble _tmp9_ = 0.0;
				Number* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gboolean _tmp12_ = FALSE;
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 4710 "test-number.c"
					gint _tmp1_ = 0;
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 4716 "test-number.c"
				}
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 4726 "test-number.c"
				}
#line 593 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 593 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_double ((gdouble) _tmp3_);
#line 593 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 593 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_ln (_tmp5_);
#line 593 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 593 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 593 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp7_;
#line 594 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 594 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = log ((gdouble) _tmp8_);
#line 594 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_;
#line 595 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = z;
#line 595 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 595 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = double_matches (_tmp10_, _tmp11_);
#line 595 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp12_) {
#line 4756 "test-number.c"
					gint _tmp13_ = 0;
					Number* _tmp14_ = NULL;
					gdouble _tmp15_ = 0.0;
					gdouble _tmp16_ = 0.0;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 597 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 597 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 597 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_to_double (_tmp14_);
#line 597 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = expected;
#line 597 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = g_strdup_printf ("(%f).ln () -> %f, expected %f", (gdouble) _tmp13_, _tmp15_, _tmp16_);
#line 597 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = _tmp17_;
#line 597 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp18_);
#line 597 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp18_);
#line 598 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 598 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 4783 "test-number.c"
				}
#line 591 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 4787 "test-number.c"
			}
		}
	}
#line 602 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 4793 "test-number.c"
}


void test_logarithm2 (void) {
	{
		gint a = 0;
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 1;
#line 4802 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 4809 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				gdouble expected = 0.0;
				gint _tmp8_ = 0;
				gdouble _tmp9_ = 0.0;
				Number* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gboolean _tmp12_ = FALSE;
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 4825 "test-number.c"
					gint _tmp1_ = 0;
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 4831 "test-number.c"
				}
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 4841 "test-number.c"
				}
#line 609 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 609 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_double ((gdouble) _tmp3_);
#line 609 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 609 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_logarithm (_tmp5_, (gint64) 2);
#line 609 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 609 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 609 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp7_;
#line 610 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 610 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = log2 ((gdouble) _tmp8_);
#line 610 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_;
#line 611 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = z;
#line 611 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 611 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = double_matches (_tmp10_, _tmp11_);
#line 611 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp12_) {
#line 4871 "test-number.c"
					gint _tmp13_ = 0;
					Number* _tmp14_ = NULL;
					gdouble _tmp15_ = 0.0;
					gdouble _tmp16_ = 0.0;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 613 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 613 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 613 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_to_double (_tmp14_);
#line 613 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = expected;
#line 613 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = g_strdup_printf ("(%f).logarithm (2) -> %f, expected %f", (gdouble) _tmp13_, _tmp15_, _tmp16_);
#line 613 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = _tmp17_;
#line 613 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp18_);
#line 613 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp18_);
#line 614 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 614 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 4898 "test-number.c"
				}
#line 607 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 4902 "test-number.c"
			}
		}
	}
#line 618 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 4908 "test-number.c"
}


void test_logarithm10 (void) {
	{
		gint a = 0;
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 1;
#line 4917 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 4924 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				gdouble expected = 0.0;
				gint _tmp8_ = 0;
				gdouble _tmp9_ = 0.0;
				Number* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gboolean _tmp12_ = FALSE;
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 4940 "test-number.c"
					gint _tmp1_ = 0;
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 4946 "test-number.c"
				}
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 4956 "test-number.c"
				}
#line 625 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 625 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_double ((gdouble) _tmp3_);
#line 625 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 625 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_logarithm (_tmp5_, (gint64) 10);
#line 625 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 625 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 625 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp7_;
#line 626 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 626 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = log10 ((gdouble) _tmp8_);
#line 626 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_;
#line 627 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = z;
#line 627 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 627 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = double_matches (_tmp10_, _tmp11_);
#line 627 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp12_) {
#line 4986 "test-number.c"
					gint _tmp13_ = 0;
					Number* _tmp14_ = NULL;
					gdouble _tmp15_ = 0.0;
					gdouble _tmp16_ = 0.0;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 629 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 629 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 629 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_to_double (_tmp14_);
#line 629 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = expected;
#line 629 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = g_strdup_printf ("(%f).logarithm (10) -> %f, expected %f", (gdouble) _tmp13_, _tmp15_, _tmp16_);
#line 629 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = _tmp17_;
#line 629 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp18_);
#line 629 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp18_);
#line 630 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 630 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 5013 "test-number.c"
				}
#line 623 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 5017 "test-number.c"
			}
		}
	}
#line 634 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 5023 "test-number.c"
}


void test_is_zero (void) {
	{
		gint a = 0;
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 5032 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 5039 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gboolean expected = FALSE;
				gint _tmp5_ = 0;
				Number* _tmp6_ = NULL;
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 5051 "test-number.c"
					gint _tmp1_ = 0;
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 5057 "test-number.c"
				}
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 5067 "test-number.c"
				}
#line 641 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 641 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 641 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 642 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = a;
#line 642 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp5_ == 0;
#line 643 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = z;
#line 643 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_is_zero (_tmp6_);
#line 643 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = expected;
#line 643 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp7_ != _tmp8_) {
#line 5087 "test-number.c"
					const gchar* _tmp9_ = NULL;
					Number* _tmp10_ = NULL;
					gboolean _tmp11_ = FALSE;
					const gchar* _tmp12_ = NULL;
					gboolean _tmp13_ = FALSE;
					gint _tmp14_ = 0;
					gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = z;
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp11_ = number_is_zero (_tmp10_);
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp11_) {
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = "true";
#line 5104 "test-number.c"
					} else {
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = "false";
#line 5108 "test-number.c"
					}
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = expected;
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp13_) {
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = "true";
#line 5116 "test-number.c"
					} else {
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = "false";
#line 5120 "test-number.c"
					}
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = g_strdup_printf ("(%d).is_zero () -> %s, expected %s", _tmp14_, _tmp9_, _tmp12_);
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = _tmp15_;
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp16_);
#line 645 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp16_);
#line 646 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 646 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 5136 "test-number.c"
				}
#line 639 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 5140 "test-number.c"
			}
		}
	}
#line 650 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 5146 "test-number.c"
}


void test_is_negative (void) {
	{
		gint a = 0;
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 5155 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 5162 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gboolean expected = FALSE;
				gint _tmp5_ = 0;
				Number* _tmp6_ = NULL;
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 5174 "test-number.c"
					gint _tmp1_ = 0;
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 5180 "test-number.c"
				}
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 5190 "test-number.c"
				}
#line 657 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 657 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 657 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 658 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = a;
#line 658 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp5_ < 0;
#line 659 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = z;
#line 659 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_is_negative (_tmp6_);
#line 659 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = expected;
#line 659 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp7_ != _tmp8_) {
#line 5210 "test-number.c"
					const gchar* _tmp9_ = NULL;
					Number* _tmp10_ = NULL;
					gboolean _tmp11_ = FALSE;
					const gchar* _tmp12_ = NULL;
					gboolean _tmp13_ = FALSE;
					gint _tmp14_ = 0;
					gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = z;
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp11_ = number_is_negative (_tmp10_);
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp11_) {
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = "true";
#line 5227 "test-number.c"
					} else {
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = "false";
#line 5231 "test-number.c"
					}
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = expected;
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp13_) {
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = "true";
#line 5239 "test-number.c"
					} else {
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = "false";
#line 5243 "test-number.c"
					}
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = g_strdup_printf ("(%d).is_negative () -> %s, expected %s", _tmp14_, _tmp9_, _tmp12_);
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = _tmp15_;
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp16_);
#line 661 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp16_);
#line 662 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 662 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 5259 "test-number.c"
				}
#line 655 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 5263 "test-number.c"
			}
		}
	}
#line 666 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 5269 "test-number.c"
}


void test_is_integer (void) {
	{
		gint a = 0;
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 5278 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 5285 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gboolean expected = FALSE;
				Number* _tmp5_ = NULL;
				gboolean _tmp6_ = FALSE;
				gboolean _tmp7_ = FALSE;
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 5296 "test-number.c"
					gint _tmp1_ = 0;
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 5302 "test-number.c"
				}
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 5312 "test-number.c"
				}
#line 673 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 673 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 673 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 674 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = TRUE;
#line 675 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = z;
#line 675 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_is_integer (_tmp5_);
#line 675 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = expected;
#line 675 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp6_ != _tmp7_) {
#line 5330 "test-number.c"
					const gchar* _tmp8_ = NULL;
					Number* _tmp9_ = NULL;
					gboolean _tmp10_ = FALSE;
					const gchar* _tmp11_ = NULL;
					gboolean _tmp12_ = FALSE;
					gint _tmp13_ = 0;
					gchar* _tmp14_ = NULL;
					gchar* _tmp15_ = NULL;
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp9_ = z;
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = number_is_integer (_tmp9_);
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp10_) {
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp8_ = "true";
#line 5347 "test-number.c"
					} else {
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp8_ = "false";
#line 5351 "test-number.c"
					}
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp12_ = expected;
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp12_) {
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp11_ = "true";
#line 5359 "test-number.c"
					} else {
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp11_ = "false";
#line 5363 "test-number.c"
					}
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = g_strdup_printf ("(%d).is_integer () -> %s, expected %s", _tmp13_, _tmp8_, _tmp11_);
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = _tmp14_;
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp15_);
#line 677 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp15_);
#line 678 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 678 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 5379 "test-number.c"
				}
#line 671 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 5383 "test-number.c"
			}
		}
	}
#line 682 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 5389 "test-number.c"
}


void test_is_positive_integer (void) {
	{
		gint a = 0;
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 5398 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 5405 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gboolean expected = FALSE;
				gint _tmp5_ = 0;
				Number* _tmp6_ = NULL;
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 5417 "test-number.c"
					gint _tmp1_ = 0;
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 5423 "test-number.c"
				}
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 5433 "test-number.c"
				}
#line 689 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 689 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 689 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 690 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = a;
#line 690 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp5_ >= 0;
#line 691 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = z;
#line 691 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_is_positive_integer (_tmp6_);
#line 691 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = expected;
#line 691 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp7_ != _tmp8_) {
#line 5453 "test-number.c"
					const gchar* _tmp9_ = NULL;
					Number* _tmp10_ = NULL;
					gboolean _tmp11_ = FALSE;
					const gchar* _tmp12_ = NULL;
					gboolean _tmp13_ = FALSE;
					gint _tmp14_ = 0;
					gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = z;
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp11_ = number_is_positive_integer (_tmp10_);
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp11_) {
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = "true";
#line 5470 "test-number.c"
					} else {
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = "false";
#line 5474 "test-number.c"
					}
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = expected;
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp13_) {
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = "true";
#line 5482 "test-number.c"
					} else {
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = "false";
#line 5486 "test-number.c"
					}
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = g_strdup_printf ("(%d).is_positive_integer () -> %s, expected %s", _tmp14_, _tmp9_, _tmp12_);
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = _tmp15_;
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp16_);
#line 693 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp16_);
#line 694 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 694 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 5502 "test-number.c"
				}
#line 687 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 5506 "test-number.c"
			}
		}
	}
#line 698 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 5512 "test-number.c"
}


void test_is_natural (void) {
	{
		gint a = 0;
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 5521 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 5528 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gboolean expected = FALSE;
				gint _tmp5_ = 0;
				Number* _tmp6_ = NULL;
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 5540 "test-number.c"
					gint _tmp1_ = 0;
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 5546 "test-number.c"
				}
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 5556 "test-number.c"
				}
#line 705 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 705 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 705 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 706 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = a;
#line 706 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp5_ > 0;
#line 707 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = z;
#line 707 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = number_is_natural (_tmp6_);
#line 707 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = expected;
#line 707 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp7_ != _tmp8_) {
#line 5576 "test-number.c"
					const gchar* _tmp9_ = NULL;
					Number* _tmp10_ = NULL;
					gboolean _tmp11_ = FALSE;
					const gchar* _tmp12_ = NULL;
					gboolean _tmp13_ = FALSE;
					gint _tmp14_ = 0;
					gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp10_ = z;
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp11_ = number_is_natural (_tmp10_);
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp11_) {
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = "true";
#line 5593 "test-number.c"
					} else {
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = "false";
#line 5597 "test-number.c"
					}
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = expected;
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (_tmp13_) {
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = "true";
#line 5605 "test-number.c"
					} else {
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = "false";
#line 5609 "test-number.c"
					}
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = a;
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = g_strdup_printf ("(%d).is_natural () -> %s, expected %s", _tmp14_, _tmp9_, _tmp12_);
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = _tmp15_;
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp16_);
#line 709 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp16_);
#line 710 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 710 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 5625 "test-number.c"
				}
#line 703 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 5629 "test-number.c"
			}
		}
	}
#line 714 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 5635 "test-number.c"
}


void test_is_complex (void) {
	{
		gint a = 0;
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 5644 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 5651 "test-number.c"
				gint _tmp2_ = 0;
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 5655 "test-number.c"
					gint _tmp1_ = 0;
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 5661 "test-number.c"
				}
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 719 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 5671 "test-number.c"
				}
				{
					gint b = 0;
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 5677 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 5684 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gboolean expected = FALSE;
							gint _tmp14_ = 0;
							Number* _tmp15_ = NULL;
							gboolean _tmp16_ = FALSE;
							gboolean _tmp17_ = FALSE;
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 5702 "test-number.c"
								gint _tmp4_ = 0;
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 5708 "test-number.c"
							}
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 5718 "test-number.c"
							}
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_new_complex (_tmp8_, _tmp11_);
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 723 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 724 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = b;
#line 724 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_ != 0;
#line 725 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = z;
#line 725 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = number_is_complex (_tmp15_);
#line 725 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = expected;
#line 725 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp16_ != _tmp17_) {
#line 5754 "test-number.c"
								const gchar* _tmp18_ = NULL;
								Number* _tmp19_ = NULL;
								gboolean _tmp20_ = FALSE;
								const gchar* _tmp21_ = NULL;
								gboolean _tmp22_ = FALSE;
								gint _tmp23_ = 0;
								gint _tmp24_ = 0;
								gchar* _tmp25_ = NULL;
								gchar* _tmp26_ = NULL;
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = z;
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = number_is_complex (_tmp19_);
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (_tmp20_) {
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp18_ = "true";
#line 5772 "test-number.c"
								} else {
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp18_ = "false";
#line 5776 "test-number.c"
								}
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = expected;
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (_tmp22_) {
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp21_ = "true";
#line 5784 "test-number.c"
								} else {
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp21_ = "false";
#line 5788 "test-number.c"
								}
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = a;
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = b;
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = g_strdup_printf ("(%d+%di).is_complex () -> %s, expected %s", _tmp23_, _tmp24_, _tmp18_, _tmp21_);
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp26_ = _tmp25_;
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp26_);
#line 727 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp26_);
#line 728 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 728 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 5806 "test-number.c"
							}
#line 721 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 5810 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 733 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 5819 "test-number.c"
}


void test_factorial (void) {
	{
		gint a = 0;
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 5828 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 5835 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				gint expected = 0;
				Number* _tmp11_ = NULL;
				Number* _tmp12_ = NULL;
				Number* _tmp13_ = NULL;
				gint64 _tmp14_ = 0LL;
				gint _tmp15_ = 0;
				gboolean _tmp16_ = FALSE;
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 5849 "test-number.c"
					gint _tmp1_ = 0;
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 5855 "test-number.c"
				}
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 5865 "test-number.c"
				}
#line 740 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 740 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 740 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp4_;
#line 741 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = 1;
#line 5875 "test-number.c"
				{
					gint i = 0;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					i = 2;
#line 5880 "test-number.c"
					{
						gboolean _tmp5_ = FALSE;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp5_ = TRUE;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 5887 "test-number.c"
							gint _tmp7_ = 0;
							gint _tmp8_ = 0;
							gint _tmp9_ = 0;
							gint _tmp10_ = 0;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp5_) {
#line 5894 "test-number.c"
								gint _tmp6_ = 0;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp6_ = i;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								i = _tmp6_ + 1;
#line 5900 "test-number.c"
							}
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = FALSE;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = i;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = a;
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp7_ <= _tmp8_)) {
#line 742 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 5912 "test-number.c"
							}
#line 743 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = expected;
#line 743 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = i;
#line 743 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp9_ * _tmp10_;
#line 5920 "test-number.c"
						}
					}
				}
#line 744 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = z;
#line 744 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = number_factorial (_tmp11_);
#line 744 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = _tmp12_;
#line 744 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp14_ = number_to_integer (_tmp13_);
#line 744 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp15_ = expected;
#line 744 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp16_ = _tmp14_ != ((gint64) _tmp15_);
#line 744 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp13_);
#line 744 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp16_) {
#line 5940 "test-number.c"
					gint _tmp17_ = 0;
					Number* _tmp18_ = NULL;
					Number* _tmp19_ = NULL;
					Number* _tmp20_ = NULL;
					gint64 _tmp21_ = 0LL;
					gint _tmp22_ = 0;
					gchar* _tmp23_ = NULL;
					gchar* _tmp24_ = NULL;
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = a;
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = z;
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp19_ = number_factorial (_tmp18_);
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp20_ = _tmp19_;
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp21_ = number_to_integer (_tmp20_);
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp22_ = expected;
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp23_ = g_strdup_printf ("(%d).factorial () -> %lli, expected %lli", _tmp17_, _tmp21_, _tmp22_);
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp24_ = _tmp23_;
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp24_);
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp24_);
#line 746 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (_tmp20_);
#line 747 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 747 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 5975 "test-number.c"
				}
#line 738 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 5979 "test-number.c"
			}
		}
	}
#line 751 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 5985 "test-number.c"
}


void test_add (void) {
	{
		gint a = 0;
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 5994 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 6001 "test-number.c"
				gint _tmp2_ = 0;
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 6005 "test-number.c"
					gint _tmp1_ = 0;
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 6011 "test-number.c"
				}
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 756 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 6021 "test-number.c"
				}
				{
					gint b = 0;
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 6027 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 6034 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							gint _tmp15_ = 0;
							Number* _tmp16_ = NULL;
							gint64 _tmp17_ = 0LL;
							gint _tmp18_ = 0;
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 6053 "test-number.c"
								gint _tmp4_ = 0;
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 6059 "test-number.c"
							}
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 6069 "test-number.c"
							}
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_add (_tmp8_, _tmp11_);
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 760 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 761 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 761 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = b;
#line 761 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_ + _tmp15_;
#line 762 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = z;
#line 762 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = number_to_integer (_tmp16_);
#line 762 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = expected;
#line 762 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp17_ != ((gint64) _tmp18_)) {
#line 6107 "test-number.c"
								gint _tmp19_ = 0;
								gint _tmp20_ = 0;
								Number* _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								gint _tmp23_ = 0;
								gchar* _tmp24_ = NULL;
								gchar* _tmp25_ = NULL;
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = a;
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = b;
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = z;
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer (_tmp21_);
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = g_strdup_printf ("(%d).add (%d) -> %lli, expected %d", _tmp19_, _tmp20_, _tmp22_, _tmp23_);
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp25_);
#line 764 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp25_);
#line 765 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 765 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 6137 "test-number.c"
							}
#line 758 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 6141 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 770 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 6150 "test-number.c"
}


void test_subtract (void) {
	{
		gint a = 0;
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 6159 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 6166 "test-number.c"
				gint _tmp2_ = 0;
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 6170 "test-number.c"
					gint _tmp1_ = 0;
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 6176 "test-number.c"
				}
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 775 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 6186 "test-number.c"
				}
				{
					gint b = 0;
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 6192 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 6199 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							gint _tmp15_ = 0;
							Number* _tmp16_ = NULL;
							gint64 _tmp17_ = 0LL;
							gint _tmp18_ = 0;
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 6218 "test-number.c"
								gint _tmp4_ = 0;
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 6224 "test-number.c"
							}
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 6234 "test-number.c"
							}
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_subtract (_tmp8_, _tmp11_);
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 779 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 780 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 780 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = b;
#line 780 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_ - _tmp15_;
#line 781 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = z;
#line 781 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = number_to_integer (_tmp16_);
#line 781 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = expected;
#line 781 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp17_ != ((gint64) _tmp18_)) {
#line 6272 "test-number.c"
								gint _tmp19_ = 0;
								gint _tmp20_ = 0;
								Number* _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								gint _tmp23_ = 0;
								gchar* _tmp24_ = NULL;
								gchar* _tmp25_ = NULL;
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = a;
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = b;
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = z;
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer (_tmp21_);
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = g_strdup_printf ("(%d).subtract (%d) -> %lli, expected %d", _tmp19_, _tmp20_, _tmp22_, _tmp23_);
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp25_);
#line 783 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp25_);
#line 784 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 784 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 6302 "test-number.c"
							}
#line 777 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 6306 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 789 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 6315 "test-number.c"
}


void test_multiply (void) {
	{
		gint a = 0;
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 6324 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 6331 "test-number.c"
				gint _tmp2_ = 0;
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 6335 "test-number.c"
					gint _tmp1_ = 0;
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 6341 "test-number.c"
				}
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 794 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 6351 "test-number.c"
				}
				{
					gint b = 0;
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 6357 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 6364 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							gint _tmp15_ = 0;
							Number* _tmp16_ = NULL;
							gint64 _tmp17_ = 0LL;
							gint _tmp18_ = 0;
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 6383 "test-number.c"
								gint _tmp4_ = 0;
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 6389 "test-number.c"
							}
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 6399 "test-number.c"
							}
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_multiply (_tmp8_, _tmp11_);
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 798 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 799 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 799 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = b;
#line 799 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_ * _tmp15_;
#line 800 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = z;
#line 800 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = number_to_integer (_tmp16_);
#line 800 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = expected;
#line 800 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp17_ != ((gint64) _tmp18_)) {
#line 6437 "test-number.c"
								gint _tmp19_ = 0;
								gint _tmp20_ = 0;
								Number* _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								gint _tmp23_ = 0;
								gchar* _tmp24_ = NULL;
								gchar* _tmp25_ = NULL;
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = a;
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = b;
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = z;
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer (_tmp21_);
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = g_strdup_printf ("(%d).multiply (%d) -> %lli, expected %d", _tmp19_, _tmp20_, _tmp22_, _tmp23_);
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp25_);
#line 802 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp25_);
#line 803 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 803 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 6467 "test-number.c"
							}
#line 796 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 6471 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 808 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 6480 "test-number.c"
}


void test_multiply_integer (void) {
	{
		gint a = 0;
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 6489 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 6496 "test-number.c"
				gint _tmp2_ = 0;
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 6500 "test-number.c"
					gint _tmp1_ = 0;
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 6506 "test-number.c"
				}
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 813 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 6516 "test-number.c"
				}
				{
					gint b = 0;
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 6522 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 6529 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							gint expected = 0;
							gint _tmp12_ = 0;
							gint _tmp13_ = 0;
							Number* _tmp14_ = NULL;
							gint64 _tmp15_ = 0LL;
							gint _tmp16_ = 0;
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 6546 "test-number.c"
								gint _tmp4_ = 0;
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 6552 "test-number.c"
							}
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 6562 "test-number.c"
							}
#line 817 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 817 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 817 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 817 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 817 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_multiply_integer (_tmp8_, (gint64) _tmp9_);
#line 817 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 817 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 817 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp11_;
#line 818 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = a;
#line 818 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = b;
#line 818 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp12_ * _tmp13_;
#line 819 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = z;
#line 819 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = number_to_integer (_tmp14_);
#line 819 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = expected;
#line 819 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp15_ != ((gint64) _tmp16_)) {
#line 6594 "test-number.c"
								gint _tmp17_ = 0;
								gint _tmp18_ = 0;
								Number* _tmp19_ = NULL;
								gint64 _tmp20_ = 0LL;
								gint _tmp21_ = 0;
								gchar* _tmp22_ = NULL;
								gchar* _tmp23_ = NULL;
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp17_ = a;
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp18_ = b;
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = z;
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = number_to_integer (_tmp19_);
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = expected;
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = g_strdup_printf ("(%d).multiply_integer (%d) -> %lli, expected %d", _tmp17_, _tmp18_, _tmp20_, _tmp21_);
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = _tmp22_;
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp23_);
#line 821 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp23_);
#line 822 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 822 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 6624 "test-number.c"
							}
#line 815 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 6628 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 827 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 6637 "test-number.c"
}


void test_divide (void) {
	{
		gint a = 0;
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 6646 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 6653 "test-number.c"
				gint _tmp2_ = 0;
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 6657 "test-number.c"
					gint _tmp1_ = 0;
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 6663 "test-number.c"
				}
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 832 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 6673 "test-number.c"
				}
				{
					gint b = 0;
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 6679 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 6686 "test-number.c"
							gint _tmp5_ = 0;
							gint _tmp6_ = 0;
							Number* z = NULL;
							gint _tmp7_ = 0;
							gint _tmp8_ = 0;
							Number* _tmp9_ = NULL;
							Number* _tmp10_ = NULL;
							gint _tmp11_ = 0;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							Number* _tmp14_ = NULL;
							Number* _tmp15_ = NULL;
							gint expected = 0;
							gint _tmp16_ = 0;
							Number* _tmp17_ = NULL;
							gint64 _tmp18_ = 0LL;
							gint _tmp19_ = 0;
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 6706 "test-number.c"
								gint _tmp4_ = 0;
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 6712 "test-number.c"
							}
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 6722 "test-number.c"
							}
#line 836 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = b;
#line 836 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp6_ == 0) {
#line 837 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								continue;
#line 6730 "test-number.c"
							}
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = a;
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = b;
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = number_new_integer ((gint64) (_tmp7_ * _tmp8_));
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = _tmp9_;
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = b;
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_new_integer ((gint64) _tmp11_);
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = number_divide (_tmp10_, _tmp13_);
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = _tmp14_;
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp13_);
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp10_);
#line 839 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp15_;
#line 840 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = a;
#line 840 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp16_;
#line 841 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = z;
#line 841 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = number_to_integer (_tmp17_);
#line 841 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp19_ = expected;
#line 841 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp18_ != ((gint64) _tmp19_)) {
#line 6768 "test-number.c"
								gint _tmp20_ = 0;
								gint _tmp21_ = 0;
								gint _tmp22_ = 0;
								Number* _tmp23_ = NULL;
								gint64 _tmp24_ = 0LL;
								gint _tmp25_ = 0;
								gchar* _tmp26_ = NULL;
								gchar* _tmp27_ = NULL;
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = a;
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = b;
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = b;
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = z;
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = number_to_integer (_tmp23_);
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = expected;
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp26_ = g_strdup_printf ("(%d).divide (%d) -> %lli, expected %d", _tmp20_ * _tmp21_, _tmp22_, _tmp24_, _tmp25_);
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp27_ = _tmp26_;
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp27_);
#line 843 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp27_);
#line 844 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 844 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 6801 "test-number.c"
							}
#line 834 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 6805 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 849 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 6814 "test-number.c"
}


void test_divide_integer (void) {
	{
		gint a = 0;
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -10;
#line 6823 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 6830 "test-number.c"
				gint _tmp2_ = 0;
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 6834 "test-number.c"
					gint _tmp1_ = 0;
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 6840 "test-number.c"
				}
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 854 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 6850 "test-number.c"
				}
				{
					gint b = 0;
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 6856 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 6863 "test-number.c"
							gint _tmp5_ = 0;
							gint _tmp6_ = 0;
							Number* z = NULL;
							gint _tmp7_ = 0;
							gint _tmp8_ = 0;
							Number* _tmp9_ = NULL;
							Number* _tmp10_ = NULL;
							gint _tmp11_ = 0;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							Number* _tmp15_ = NULL;
							gint64 _tmp16_ = 0LL;
							gint _tmp17_ = 0;
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 6881 "test-number.c"
								gint _tmp4_ = 0;
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 6887 "test-number.c"
							}
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 6897 "test-number.c"
							}
#line 858 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = b;
#line 858 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp6_ == 0) {
#line 859 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								continue;
#line 6905 "test-number.c"
							}
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = a;
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = b;
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = number_new_integer ((gint64) (_tmp7_ * _tmp8_));
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = _tmp9_;
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = b;
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_divide_integer (_tmp10_, (gint64) _tmp11_);
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp10_);
#line 861 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 862 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 862 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_;
#line 863 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = z;
#line 863 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = number_to_integer (_tmp15_);
#line 863 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = expected;
#line 863 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp16_ != ((gint64) _tmp17_)) {
#line 6937 "test-number.c"
								gint _tmp18_ = 0;
								gint _tmp19_ = 0;
								gint _tmp20_ = 0;
								Number* _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								gint _tmp23_ = 0;
								gchar* _tmp24_ = NULL;
								gchar* _tmp25_ = NULL;
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp18_ = a;
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = b;
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = b;
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = z;
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer (_tmp21_);
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = g_strdup_printf ("(%d).divide_integer (%d) -> %lli, expected %d", _tmp18_ * _tmp19_, _tmp20_, _tmp22_, _tmp23_);
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp25_);
#line 865 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp25_);
#line 866 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 866 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 6970 "test-number.c"
							}
#line 856 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 6974 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 871 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 6983 "test-number.c"
}


void test_modulus_divide (void) {
	{
		gint a = 0;
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 6992 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 6999 "test-number.c"
				gint _tmp2_ = 0;
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 7003 "test-number.c"
					gint _tmp1_ = 0;
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 7009 "test-number.c"
				}
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= 10)) {
#line 876 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 7019 "test-number.c"
				}
				{
					gint b = 0;
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = 1;
#line 7025 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 7032 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							gint _tmp15_ = 0;
							Number* _tmp16_ = NULL;
							gint64 _tmp17_ = 0LL;
							gint _tmp18_ = 0;
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 7051 "test-number.c"
								gint _tmp4_ = 0;
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 7057 "test-number.c"
							}
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ <= 10)) {
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 7067 "test-number.c"
							}
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_modulus_divide (_tmp8_, _tmp11_);
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 880 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 881 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 881 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = b;
#line 881 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_ % _tmp15_;
#line 882 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = z;
#line 882 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = number_to_integer (_tmp16_);
#line 882 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = expected;
#line 882 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp17_ != ((gint64) _tmp18_)) {
#line 7105 "test-number.c"
								gint _tmp19_ = 0;
								gint _tmp20_ = 0;
								Number* _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								gint _tmp23_ = 0;
								gchar* _tmp24_ = NULL;
								gchar* _tmp25_ = NULL;
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = a;
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = b;
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = z;
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer (_tmp21_);
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = g_strdup_printf ("(%d).modulus_divide (%d) -> %lli, expected %d", _tmp19_, _tmp20_, _tmp22_, _tmp23_);
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp25_);
#line 884 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp25_);
#line 885 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 885 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 7135 "test-number.c"
							}
#line 878 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 7139 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 890 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 7148 "test-number.c"
}


void test_sin (void) {
	{
		gdouble a = 0.0;
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -G_PI;
#line 7157 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 7164 "test-number.c"
				gdouble _tmp2_ = 0.0;
				Number* z = NULL;
				gdouble _tmp3_ = 0.0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp8_ = 0.0;
				gdouble _tmp9_ = 0.0;
				Number* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gboolean _tmp12_ = FALSE;
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 7180 "test-number.c"
					gdouble _tmp1_ = 0.0;
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + (G_PI / 16);
#line 7186 "test-number.c"
				}
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= G_PI)) {
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 7196 "test-number.c"
				}
#line 897 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 897 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_double (_tmp3_);
#line 897 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 897 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_sin (_tmp5_, ANGLE_UNIT_RADIANS);
#line 897 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 897 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 897 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp7_;
#line 898 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 898 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = sin (_tmp8_);
#line 898 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_;
#line 899 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = z;
#line 899 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 899 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = double_matches (_tmp10_, _tmp11_);
#line 899 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp12_) {
#line 7226 "test-number.c"
					gdouble _tmp13_ = 0.0;
					Number* _tmp14_ = NULL;
					gdouble _tmp15_ = 0.0;
					gdouble _tmp16_ = 0.0;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 901 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 901 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 901 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_to_double (_tmp14_);
#line 901 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = expected;
#line 901 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = g_strdup_printf ("(%f).sin () -> %f, expected %f", _tmp13_, _tmp15_, _tmp16_);
#line 901 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = _tmp17_;
#line 901 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp18_);
#line 901 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp18_);
#line 902 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 902 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 7253 "test-number.c"
				}
#line 895 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 7257 "test-number.c"
			}
		}
	}
#line 906 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 7263 "test-number.c"
}


void test_cos (void) {
	{
		gdouble a = 0.0;
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = -G_PI;
#line 7272 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 7279 "test-number.c"
				gdouble _tmp2_ = 0.0;
				Number* z = NULL;
				gdouble _tmp3_ = 0.0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				gdouble expected = 0.0;
				gdouble _tmp8_ = 0.0;
				gdouble _tmp9_ = 0.0;
				Number* _tmp10_ = NULL;
				gdouble _tmp11_ = 0.0;
				gboolean _tmp12_ = FALSE;
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 7295 "test-number.c"
					gdouble _tmp1_ = 0.0;
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + (G_PI / 16);
#line 7301 "test-number.c"
				}
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ <= G_PI)) {
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 7311 "test-number.c"
				}
#line 913 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 913 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_double (_tmp3_);
#line 913 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 913 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_cos (_tmp5_, ANGLE_UNIT_RADIANS);
#line 913 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 913 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 913 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp7_;
#line 914 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 914 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = cos (_tmp8_);
#line 914 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_;
#line 915 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = z;
#line 915 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 915 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = double_matches (_tmp10_, _tmp11_);
#line 915 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp12_) {
#line 7341 "test-number.c"
					gdouble _tmp13_ = 0.0;
					Number* _tmp14_ = NULL;
					gdouble _tmp15_ = 0.0;
					gdouble _tmp16_ = 0.0;
					gchar* _tmp17_ = NULL;
					gchar* _tmp18_ = NULL;
#line 917 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = a;
#line 917 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = z;
#line 917 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = number_to_double (_tmp14_);
#line 917 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = expected;
#line 917 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = g_strdup_printf ("(%f).cos () -> %f, expected %f", _tmp13_, _tmp15_, _tmp16_);
#line 917 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp18_ = _tmp17_;
#line 917 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp18_);
#line 917 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp18_);
#line 918 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 918 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 7368 "test-number.c"
				}
#line 911 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 7372 "test-number.c"
			}
		}
	}
#line 922 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 7378 "test-number.c"
}


void test_and (void) {
	{
		gint a = 0;
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 7387 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 7394 "test-number.c"
				gint _tmp2_ = 0;
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 7398 "test-number.c"
					gint _tmp1_ = 0;
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 7404 "test-number.c"
				}
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ < 10)) {
#line 927 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 7414 "test-number.c"
				}
				{
					gint b = 0;
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = 0;
#line 7420 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 7427 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							gint _tmp15_ = 0;
							Number* _tmp16_ = NULL;
							gint64 _tmp17_ = 0LL;
							gint _tmp18_ = 0;
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 7446 "test-number.c"
								gint _tmp4_ = 0;
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 7452 "test-number.c"
							}
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ < 10)) {
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 7462 "test-number.c"
							}
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_and (_tmp8_, _tmp11_);
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 931 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 932 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 932 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = b;
#line 932 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_ & _tmp15_;
#line 933 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = z;
#line 933 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = number_to_integer (_tmp16_);
#line 933 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = expected;
#line 933 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp17_ != ((gint64) _tmp18_)) {
#line 7500 "test-number.c"
								gint _tmp19_ = 0;
								gint _tmp20_ = 0;
								Number* _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								gint _tmp23_ = 0;
								gchar* _tmp24_ = NULL;
								gchar* _tmp25_ = NULL;
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = a;
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = b;
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = z;
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer (_tmp21_);
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = g_strdup_printf ("(%d).and (%d) -> %lli, expected %d", _tmp19_, _tmp20_, _tmp22_, _tmp23_);
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp25_);
#line 935 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp25_);
#line 936 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 936 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 7530 "test-number.c"
							}
#line 929 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 7534 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 941 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 7543 "test-number.c"
}


void test_or (void) {
	{
		gint a = 0;
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 7552 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 7559 "test-number.c"
				gint _tmp2_ = 0;
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 7563 "test-number.c"
					gint _tmp1_ = 0;
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 7569 "test-number.c"
				}
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ < 10)) {
#line 946 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 7579 "test-number.c"
				}
				{
					gint b = 0;
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = 0;
#line 7585 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 7592 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							gint _tmp15_ = 0;
							Number* _tmp16_ = NULL;
							gint64 _tmp17_ = 0LL;
							gint _tmp18_ = 0;
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 7611 "test-number.c"
								gint _tmp4_ = 0;
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 7617 "test-number.c"
							}
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ < 10)) {
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 7627 "test-number.c"
							}
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_or (_tmp8_, _tmp11_);
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 950 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 951 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 951 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = b;
#line 951 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_ | _tmp15_;
#line 952 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = z;
#line 952 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = number_to_integer (_tmp16_);
#line 952 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = expected;
#line 952 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp17_ != ((gint64) _tmp18_)) {
#line 7665 "test-number.c"
								gint _tmp19_ = 0;
								gint _tmp20_ = 0;
								Number* _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								gint _tmp23_ = 0;
								gchar* _tmp24_ = NULL;
								gchar* _tmp25_ = NULL;
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = a;
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = b;
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = z;
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer (_tmp21_);
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = g_strdup_printf ("(%d).or (%d) -> %lli, expected %d", _tmp19_, _tmp20_, _tmp22_, _tmp23_);
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp25_);
#line 954 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp25_);
#line 955 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 955 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 7695 "test-number.c"
							}
#line 948 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 7699 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 960 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 7708 "test-number.c"
}


void test_xor (void) {
	{
		gint a = 0;
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 7717 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 7724 "test-number.c"
				gint _tmp2_ = 0;
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 7728 "test-number.c"
					gint _tmp1_ = 0;
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 7734 "test-number.c"
				}
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ < 10)) {
#line 965 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 7744 "test-number.c"
				}
				{
					gint b = 0;
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = 0;
#line 7750 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 7757 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							Number* _tmp12_ = NULL;
							Number* _tmp13_ = NULL;
							gint expected = 0;
							gint _tmp14_ = 0;
							gint _tmp15_ = 0;
							Number* _tmp16_ = NULL;
							gint64 _tmp17_ = 0LL;
							gint _tmp18_ = 0;
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 7776 "test-number.c"
								gint _tmp4_ = 0;
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 7782 "test-number.c"
							}
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ < 10)) {
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 7792 "test-number.c"
							}
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_new_integer ((gint64) _tmp9_);
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = number_xor (_tmp8_, _tmp11_);
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = _tmp12_;
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp11_);
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 969 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp13_;
#line 970 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = a;
#line 970 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp15_ = b;
#line 970 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp14_ ^ _tmp15_;
#line 971 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp16_ = z;
#line 971 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = number_to_integer (_tmp16_);
#line 971 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = expected;
#line 971 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp17_ != ((gint64) _tmp18_)) {
#line 7830 "test-number.c"
								gint _tmp19_ = 0;
								gint _tmp20_ = 0;
								Number* _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								gint _tmp23_ = 0;
								gchar* _tmp24_ = NULL;
								gchar* _tmp25_ = NULL;
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = a;
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = b;
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = z;
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer (_tmp21_);
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = g_strdup_printf ("(%d).xor (%d) -> %lli, expected %d", _tmp19_, _tmp20_, _tmp22_, _tmp23_);
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = _tmp24_;
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp25_);
#line 973 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp25_);
#line 974 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 974 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 7860 "test-number.c"
							}
#line 967 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 7864 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 979 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 7873 "test-number.c"
}


void test_not (void) {
	{
		gint a = 0;
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 7882 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 7889 "test-number.c"
				gint _tmp2_ = 0;
				Number* z = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				Number* _tmp6_ = NULL;
				Number* _tmp7_ = NULL;
				gint expected = 0;
				gint _tmp8_ = 0;
				Number* _tmp9_ = NULL;
				gint64 _tmp10_ = 0LL;
				gint _tmp11_ = 0;
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 7904 "test-number.c"
					gint _tmp1_ = 0;
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 7910 "test-number.c"
				}
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ < 10)) {
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 7920 "test-number.c"
				}
#line 986 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 986 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 986 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 986 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_not (_tmp5_, 8);
#line 986 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 986 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 986 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				z = _tmp7_;
#line 987 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 987 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = (~_tmp8_) & 0xFF;
#line 988 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = z;
#line 988 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = number_to_integer (_tmp9_);
#line 988 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = expected;
#line 988 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp10_ != ((gint64) _tmp11_)) {
#line 7948 "test-number.c"
					gint _tmp12_ = 0;
					Number* _tmp13_ = NULL;
					gint64 _tmp14_ = 0LL;
					gint _tmp15_ = 0;
					gchar* _tmp16_ = NULL;
					gchar* _tmp17_ = NULL;
#line 990 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp12_ = a;
#line 990 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp13_ = z;
#line 990 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp14_ = number_to_integer (_tmp13_);
#line 990 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp15_ = expected;
#line 990 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp16_ = g_strdup_printf ("(%d).not () -> %lli, expected %d", _tmp12_, _tmp14_, _tmp15_);
#line 990 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp17_ = _tmp16_;
#line 990 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp17_);
#line 990 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp17_);
#line 991 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_object_unref0 (z);
#line 991 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 7975 "test-number.c"
				}
#line 984 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (z);
#line 7979 "test-number.c"
			}
		}
	}
#line 995 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 7985 "test-number.c"
}


void test_shift (void) {
	{
		gint a = 0;
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 7994 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 8001 "test-number.c"
				gint _tmp2_ = 0;
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 8005 "test-number.c"
					gint _tmp1_ = 0;
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 8011 "test-number.c"
				}
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ < 10)) {
#line 1000 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 8021 "test-number.c"
				}
				{
					gint b = 0;
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					b = -10;
#line 8027 "test-number.c"
					{
						gboolean _tmp3_ = FALSE;
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp3_ = TRUE;
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						while (TRUE) {
#line 8034 "test-number.c"
							gint _tmp5_ = 0;
							Number* z = NULL;
							gint _tmp6_ = 0;
							Number* _tmp7_ = NULL;
							Number* _tmp8_ = NULL;
							gint _tmp9_ = 0;
							Number* _tmp10_ = NULL;
							Number* _tmp11_ = NULL;
							gint expected = 0;
							gint _tmp12_ = 0;
							gint _tmp13_ = 0;
							gint _tmp14_ = 0;
							Number* _tmp17_ = NULL;
							gint64 _tmp18_ = 0LL;
							gint _tmp19_ = 0;
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!_tmp3_) {
#line 8052 "test-number.c"
								gint _tmp4_ = 0;
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp4_ = b;
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								b = _tmp4_ + 1;
#line 8058 "test-number.c"
							}
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp3_ = FALSE;
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp5_ = b;
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (!(_tmp5_ < 10)) {
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								break;
#line 8068 "test-number.c"
							}
#line 1004 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp6_ = a;
#line 1004 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp7_ = number_new_integer ((gint64) _tmp6_);
#line 1004 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp8_ = _tmp7_;
#line 1004 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp9_ = b;
#line 1004 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp10_ = number_shift (_tmp8_, _tmp9_);
#line 1004 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp11_ = _tmp10_;
#line 1004 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (_tmp8_);
#line 1004 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							z = _tmp11_;
#line 1005 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp12_ = a;
#line 1005 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp13_ = b;
#line 1005 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							expected = _tmp12_ << _tmp13_;
#line 1006 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = b;
#line 1006 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp14_ < 0) {
#line 8096 "test-number.c"
								gint _tmp15_ = 0;
								gint _tmp16_ = 0;
#line 1007 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp15_ = a;
#line 1007 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp16_ = b;
#line 1007 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								expected = _tmp15_ >> (-_tmp16_);
#line 8105 "test-number.c"
							}
#line 1008 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp17_ = z;
#line 1008 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp18_ = number_to_integer (_tmp17_);
#line 1008 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp19_ = expected;
#line 1008 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							if (_tmp18_ != ((gint64) _tmp19_)) {
#line 8115 "test-number.c"
								gint _tmp20_ = 0;
								gint _tmp21_ = 0;
								Number* _tmp22_ = NULL;
								gint64 _tmp23_ = 0LL;
								gint _tmp24_ = 0;
								gchar* _tmp25_ = NULL;
								gchar* _tmp26_ = NULL;
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = a;
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = b;
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = z;
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = number_to_integer (_tmp22_);
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = expected;
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = g_strdup_printf ("(%d).shift (%d) -> %lli, expected %d", _tmp20_, _tmp21_, _tmp23_, _tmp24_);
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp26_ = _tmp25_;
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								fail (_tmp26_);
#line 1010 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp26_);
#line 1011 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (z);
#line 1011 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								return;
#line 8145 "test-number.c"
							}
#line 1002 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_g_object_unref0 (z);
#line 8149 "test-number.c"
						}
					}
				}
			}
		}
	}
#line 1016 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 8158 "test-number.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 1038 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	return self ? g_object_ref (self) : NULL;
#line 8165 "test-number.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 1052 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 8172 "test-number.c"
}


static void _g_list_free__g_object_unref0_ (GList* self) {
#line 1052 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	g_list_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 1052 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	g_list_free (self);
#line 8181 "test-number.c"
}


void test_factorize (void) {
	{
		gint a = 0;
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		a = 0;
#line 8190 "test-number.c"
		{
			gboolean _tmp0_ = FALSE;
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			_tmp0_ = TRUE;
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			while (TRUE) {
#line 8197 "test-number.c"
				gint _tmp2_ = 0;
				GList* factors = NULL;
				gint _tmp3_ = 0;
				Number* _tmp4_ = NULL;
				Number* _tmp5_ = NULL;
				GList* _tmp6_ = NULL;
				GList* _tmp7_ = NULL;
				GList* expected = NULL;
				gint _tmp8_ = 0;
				GList* _tmp9_ = NULL;
				gboolean matches = FALSE;
				GList* _tmp10_ = NULL;
				guint _tmp11_ = 0U;
				GList* _tmp12_ = NULL;
				guint _tmp13_ = 0U;
				gboolean _tmp26_ = FALSE;
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp0_) {
#line 8216 "test-number.c"
					gint _tmp1_ = 0;
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp1_ = a;
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					a = _tmp1_ + 1;
#line 8222 "test-number.c"
				}
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp0_ = FALSE;
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp2_ = a;
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!(_tmp2_ < 100)) {
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					break;
#line 8232 "test-number.c"
				}
#line 1023 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = a;
#line 1023 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp4_ = number_new_integer ((gint64) _tmp3_);
#line 1023 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp5_ = _tmp4_;
#line 1023 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp6_ = number_factorize (_tmp5_);
#line 1023 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp7_ = _tmp6_;
#line 1023 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_object_unref0 (_tmp5_);
#line 1023 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				factors = _tmp7_;
#line 1024 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp8_ = a;
#line 1024 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp9_ = factorize (_tmp8_);
#line 1024 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				expected = _tmp9_;
#line 1026 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				matches = FALSE;
#line 1027 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp10_ = factors;
#line 1027 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp11_ = g_list_length (_tmp10_);
#line 1027 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp12_ = expected;
#line 1027 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp13_ = g_list_length (_tmp12_);
#line 1027 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (_tmp11_ == _tmp13_) {
#line 1029 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					matches = TRUE;
#line 8268 "test-number.c"
					{
						gint i = 0;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						i = 0;
#line 8273 "test-number.c"
						{
							gboolean _tmp14_ = FALSE;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp14_ = TRUE;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							while (TRUE) {
#line 8280 "test-number.c"
								gint _tmp16_ = 0;
								GList* _tmp17_ = NULL;
								guint _tmp18_ = 0U;
								GList* _tmp19_ = NULL;
								gint _tmp20_ = 0;
								gconstpointer _tmp21_ = NULL;
								gint64 _tmp22_ = 0LL;
								GList* _tmp23_ = NULL;
								gint _tmp24_ = 0;
								gconstpointer _tmp25_ = NULL;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (!_tmp14_) {
#line 8293 "test-number.c"
									gint _tmp15_ = 0;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp15_ = i;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									i = _tmp15_ + 1;
#line 8299 "test-number.c"
								}
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp14_ = FALSE;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp16_ = i;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp17_ = factors;
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp18_ = g_list_length (_tmp17_);
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (!(((guint) _tmp16_) < _tmp18_)) {
#line 1030 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									break;
#line 8313 "test-number.c"
								}
#line 1031 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp19_ = factors;
#line 1031 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp20_ = i;
#line 1031 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp21_ = g_list_nth_data (_tmp19_, (guint) _tmp20_);
#line 1031 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp22_ = number_to_integer ((Number*) _tmp21_);
#line 1031 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp23_ = expected;
#line 1031 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp24_ = i;
#line 1031 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp25_ = g_list_nth_data (_tmp23_, (guint) _tmp24_);
#line 1031 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (_tmp22_ != ((gint64) ((gint) ((gintptr) _tmp25_)))) {
#line 1032 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									matches = FALSE;
#line 8333 "test-number.c"
								}
							}
						}
					}
				}
#line 1035 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp26_ = matches;
#line 1035 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				if (!_tmp26_) {
#line 8343 "test-number.c"
					gchar* factors_string = NULL;
					gchar* _tmp27_ = NULL;
					GList* _tmp28_ = NULL;
					gchar* expected_string = NULL;
					gchar* _tmp39_ = NULL;
					GList* _tmp40_ = NULL;
					gint _tmp49_ = 0;
					const gchar* _tmp50_ = NULL;
					const gchar* _tmp51_ = NULL;
					gchar* _tmp52_ = NULL;
					gchar* _tmp53_ = NULL;
#line 1037 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp27_ = g_strdup ("");
#line 1037 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					factors_string = _tmp27_;
#line 1038 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp28_ = factors;
#line 8361 "test-number.c"
					{
						GList* f_collection = NULL;
						GList* f_it = NULL;
#line 1038 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						f_collection = _tmp28_;
#line 1038 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						for (f_it = f_collection; f_it != NULL; f_it = f_it->next) {
#line 8369 "test-number.c"
							Number* _tmp29_ = NULL;
							Number* f = NULL;
#line 1038 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							_tmp29_ = _g_object_ref0 ((Number*) f_it->data);
#line 1038 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							f = _tmp29_;
#line 8376 "test-number.c"
							{
								const gchar* _tmp30_ = NULL;
								const gchar* _tmp33_ = NULL;
								Number* _tmp34_ = NULL;
								gint64 _tmp35_ = 0LL;
								gchar* _tmp36_ = NULL;
								gchar* _tmp37_ = NULL;
								gchar* _tmp38_ = NULL;
#line 1040 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp30_ = factors_string;
#line 1040 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (g_strcmp0 (_tmp30_, "") != 0) {
#line 8389 "test-number.c"
									const gchar* _tmp31_ = NULL;
									gchar* _tmp32_ = NULL;
#line 1041 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp31_ = factors_string;
#line 1041 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp32_ = g_strconcat (_tmp31_, ", ", NULL);
#line 1041 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_g_free0 (factors_string);
#line 1041 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									factors_string = _tmp32_;
#line 8400 "test-number.c"
								}
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp33_ = factors_string;
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp34_ = f;
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp35_ = number_to_integer (_tmp34_);
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp36_ = g_strdup_printf ("%d", (gint) _tmp35_);
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp37_ = _tmp36_;
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp38_ = g_strconcat (_tmp33_, _tmp37_, NULL);
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (factors_string);
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								factors_string = _tmp38_;
#line 1042 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp37_);
#line 1038 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_object_unref0 (f);
#line 8422 "test-number.c"
							}
						}
					}
#line 1044 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp39_ = g_strdup ("");
#line 1044 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					expected_string = _tmp39_;
#line 1045 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp40_ = expected;
#line 8432 "test-number.c"
					{
						GList* f_collection = NULL;
						GList* f_it = NULL;
#line 1045 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						f_collection = _tmp40_;
#line 1045 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						for (f_it = f_collection; f_it != NULL; f_it = f_it->next) {
#line 8440 "test-number.c"
							gint f = 0;
#line 1045 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							f = (gint) ((gintptr) f_it->data);
#line 8444 "test-number.c"
							{
								const gchar* _tmp41_ = NULL;
								const gchar* _tmp44_ = NULL;
								gint _tmp45_ = 0;
								gchar* _tmp46_ = NULL;
								gchar* _tmp47_ = NULL;
								gchar* _tmp48_ = NULL;
#line 1047 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp41_ = expected_string;
#line 1047 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								if (g_strcmp0 (_tmp41_, "") != 0) {
#line 8456 "test-number.c"
									const gchar* _tmp42_ = NULL;
									gchar* _tmp43_ = NULL;
#line 1048 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp42_ = expected_string;
#line 1048 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_tmp43_ = g_strconcat (_tmp42_, ", ", NULL);
#line 1048 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									_g_free0 (expected_string);
#line 1048 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
									expected_string = _tmp43_;
#line 8467 "test-number.c"
								}
#line 1049 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp44_ = expected_string;
#line 1049 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp45_ = f;
#line 1049 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp46_ = g_strdup_printf ("%d", _tmp45_);
#line 1049 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp47_ = _tmp46_;
#line 1049 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_tmp48_ = g_strconcat (_tmp44_, _tmp47_, NULL);
#line 1049 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (expected_string);
#line 1049 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								expected_string = _tmp48_;
#line 1049 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
								_g_free0 (_tmp47_);
#line 8485 "test-number.c"
							}
						}
					}
#line 1051 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp49_ = a;
#line 1051 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp50_ = factors_string;
#line 1051 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp51_ = expected_string;
#line 1051 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp52_ = g_strdup_printf ("(%d).factorize () -> (%s), expected (%s)", _tmp49_, _tmp50_, _tmp51_);
#line 1051 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp53_ = _tmp52_;
#line 1051 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					fail (_tmp53_);
#line 1051 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (_tmp53_);
#line 1052 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (expected_string);
#line 1052 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_free0 (factors_string);
#line 1052 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_g_list_free0 (expected);
#line 1052 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					__g_list_free__g_object_unref0_0 (factors);
#line 1052 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					return;
#line 8513 "test-number.c"
				}
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_g_list_free0 (expected);
#line 1021 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				__g_list_free__g_object_unref0_0 (factors);
#line 8519 "test-number.c"
			}
		}
	}
#line 1056 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	pass (NULL);
#line 8525 "test-number.c"
}


GList* factorize (gint number) {
	GList* result = NULL;
	GList* factors = NULL;
	gint _tmp0_ = 0;
	gint n = 0;
	gint _tmp2_ = 0;
#line 1061 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	factors = NULL;
#line 1062 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = number;
#line 1062 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	if (_tmp0_ < 2) {
#line 8541 "test-number.c"
		gint _tmp1_ = 0;
#line 1064 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp1_ = number;
#line 1064 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		factors = g_list_append (factors, (gpointer) ((gintptr) _tmp1_));
#line 1065 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		result = factors;
#line 1065 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		return result;
#line 8551 "test-number.c"
	}
#line 1068 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp2_ = number;
#line 1068 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	n = _tmp2_;
#line 1069 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	while (TRUE) {
#line 8559 "test-number.c"
		{
			gint factor = 0;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
			factor = 2;
#line 8564 "test-number.c"
			{
				gboolean _tmp3_ = FALSE;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				_tmp3_ = TRUE;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
				while (TRUE) {
#line 8571 "test-number.c"
					gint _tmp5_ = 0;
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (!_tmp3_) {
#line 8578 "test-number.c"
						gint _tmp4_ = 0;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp4_ = factor;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						factor = _tmp4_ + 1;
#line 8584 "test-number.c"
					}
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp3_ = FALSE;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp5_ = factor;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp6_ = n;
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if (!(_tmp5_ <= _tmp6_)) {
#line 1071 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						break;
#line 8596 "test-number.c"
					}
#line 1073 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp7_ = n;
#line 1073 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					_tmp8_ = factor;
#line 1073 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
					if ((_tmp7_ % _tmp8_) == 0) {
#line 8604 "test-number.c"
						gint _tmp9_ = 0;
						gint _tmp10_ = 0;
						gint _tmp11_ = 0;
						gint _tmp12_ = 0;
#line 1075 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp9_ = factor;
#line 1075 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						factors = g_list_append (factors, (gpointer) ((gintptr) _tmp9_));
#line 1076 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp10_ = n;
#line 1076 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp11_ = factor;
#line 1076 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						n = _tmp10_ / _tmp11_;
#line 1077 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						_tmp12_ = n;
#line 1077 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						if (_tmp12_ == 1) {
#line 1078 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							result = factors;
#line 1078 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
							return result;
#line 8627 "test-number.c"
						}
#line 1079 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
						break;
#line 8631 "test-number.c"
					}
				}
			}
		}
	}
#line 1059 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_g_list_free0 (factors);
#line 8639 "test-number.c"
}


gint _vala_main (gchar** args, int args_length1) {
	gint result = 0;
	gint _tmp0_ = 0;
	gint _tmp7_ = 0;
#line 1087 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	setlocale (LC_ALL, "C");
#line 1089 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_integer ();
#line 1090 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_unsigned_integer ();
#line 1091 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_fraction ();
#line 1092 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_float ();
#line 1093 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_double ();
#line 1094 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_complex ();
#line 1095 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_polar ();
#line 1096 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_string ();
#line 1097 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_eulers ();
#line 1098 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_i ();
#line 1099 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_pi ();
#line 1101 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_is_zero ();
#line 1102 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_is_negative ();
#line 1103 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_is_integer ();
#line 1104 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_is_positive_integer ();
#line 1105 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_is_natural ();
#line 1106 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_is_complex ();
#line 1107 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_sgn ();
#line 1108 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_invert_sign ();
#line 1109 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_abs ();
#line 1110 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_arg ();
#line 1111 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_conjugate ();
#line 1112 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_real_component ();
#line 1113 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_imaginary_component ();
#line 1114 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_integer_component ();
#line 1115 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_fractional_component ();
#line 1116 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_fractional_part ();
#line 1117 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_floor ();
#line 1118 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_ceiling ();
#line 1119 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_round ();
#line 1120 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_reciprocal ();
#line 1121 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_epowy ();
#line 1122 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_xpowy ();
#line 1123 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_xpowy_integer ();
#line 1124 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_root3 ();
#line 1125 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_sqrt ();
#line 1126 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_ln ();
#line 1127 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_logarithm2 ();
#line 1128 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_logarithm10 ();
#line 1129 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_factorial ();
#line 1130 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_add ();
#line 1131 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_subtract ();
#line 1132 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_multiply ();
#line 1133 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_multiply_integer ();
#line 1134 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_divide ();
#line 1135 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_divide_integer ();
#line 1136 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_modulus_divide ();
#line 1137 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_sin ();
#line 1138 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_cos ();
#line 1149 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_and ();
#line 1150 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_or ();
#line 1151 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_xor ();
#line 1152 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_not ();
#line 1154 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_shift ();
#line 1157 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	test_factorize ();
#line 1159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp0_ = fail_count;
#line 1159 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	if (_tmp0_ == 0) {
#line 8763 "test-number.c"
		FILE* _tmp1_ = NULL;
		gint _tmp2_ = 0;
#line 1160 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp1_ = stdout;
#line 1160 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp2_ = pass_count;
#line 1160 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		fprintf (_tmp1_, "Passed all %i tests\n", _tmp2_);
#line 8772 "test-number.c"
	} else {
		FILE* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
		gint _tmp6_ = 0;
#line 1162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp3_ = stdout;
#line 1162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp4_ = fail_count;
#line 1162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp5_ = pass_count;
#line 1162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		_tmp6_ = fail_count;
#line 1162 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
		fprintf (_tmp3_, "Failed %i/%d tests\n", _tmp4_, _tmp5_ + _tmp6_);
#line 8788 "test-number.c"
	}
#line 1164 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	_tmp7_ = fail_count;
#line 1164 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	result = _tmp7_;
#line 1164 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	return result;
#line 8796 "test-number.c"
}


int main (int argc, char ** argv) {
#if !GLIB_CHECK_VERSION (2,35,0)
	g_type_init ();
#endif
#line 1085 "/home/mcatanzaro/jhbuild/checkout/gnome-calculator/src/test-number.vala"
	return _vala_main (argv, argc);
#line 8806 "test-number.c"
}



